#!/usr/bin/env python
# -*- coding: utf-8 -*-
# --------------------------------
# Copyright (c) 2017 "Capensis" [http://www.capensis.com]
#
# This file is part of Canopsis.
#
# Canopsis is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Canopsis is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with Canopsis.  If not, see <http://www.gnu.org/licenses/>.
# ---------------------------------

from __future__ import unicode_literals

from canopsis.common.link_builder.link_builder import HypertextLinkBuilder
from canopsis.common.utils import merge_two_dicts


class BasicLinkBuilder(HypertextLinkBuilder):

    """
    Basic builder which read a base_url parameter, and enrich it with entity
    values.
    """

    def __init__(self, options={}):
        super(BasicLinkBuilder, self).__init__(options=options)

    def build(self, entity, options={}):
        opt = merge_two_dicts(self.options, options)
        if 'base_url' in opt:
            return {self.category: [opt['base_url'].format(**entity)]}

        return {}
