# Administration avancée des composants de Canopsis

Cette section vous accompagne dans l'administration avancée des composants de Canopsis.

## Sommaire

### Actions avancées sur les bases de données

- [Connexion à la base de données MongoDB](connexion-a-la-base-de-donnees.md)
- [Nettoyage, sauvegarde et restauration des bases de données](actions-base-donnees.md)

### Authentification

- [Méthodes d'authentification avancées (LDAP, CAS, SAML2, OAUTH2, OPENID)](methodes-authentification-avancees.md)

### Sécurisation

- [Sécurisation d'une installation de Canopsis et de ses composants](configuration-parefeu-et-selinux.md)

### Journalisation

- [Journalisation des actions utilisateurs](journalisation-actions.md) 

### Configuration avancée des composants de Canopsis

- [Modification du fichier de configuration `canopsis.toml`](modification-canopsis-toml.md)
- [Configuration avancée de la base de données MongoDB](configuration-composants/base-de-donnees-mongodb.md)
- [Configuration avancée du serveur de cache Redis](configuration-composants/serveur-cache-redis.md)
- [Configuration avancée du reverse proxy HTTP Nginx](configuration-composants/reverse-proxy-nginx.md)
- [Activation d'HTTPS danx Nginx](configuration-composants/reverse-proxy-nginx-https.md)
- [Liste des variables d'environnement liées à Canopsis](variables-environnement.md)
- [Reconnexion automatique des services et des moteurs](reconnexion-automatique.md)

