# Principes des numéros de version de Canopsis

=== "Nouvelles versions"
    ## Mises à jour majeures

    À partir de Canopsis 22.10, Canopsis utilise un format AA.MM.x : les deux premiers chiffres désignent l'année et le mois de sortie d'une nouvelle version majeure.

    Des changements fondamentaux peuvent être apportés à Canopsis (changement d'interface, de paradigmes, de technologies…), ou une incompatibilité majeure peut survenir.

    La mise à jour d'une installation existante n'est **pas garantie** lors d'une mise à jour majeure. Il faudra généralement prévoir une réinstallation et une reconfiguration complètes, ou bien suivre un éventuel Guide de migration qui aura été rédigé dans ce but.

=== "Anciennes versions (≤4.6.x)"
    ## Mises à jour majeures

    On parle d'une mise à jour *majeure* lorque le premier chiffre change ; par exemple, lors du passage de Canopsis 3 à Canopsis 4.

    Ceci signifie que des changements fondamentaux ont été apportés à Canopsis (changement d'interface, de paradigmes, de technologies…), ou qu'une incompatibilité majeure est survenue. Ces changements sont exceptionnels.

    La mise à jour d'une installation existante n'est **pas garantie** lors d'une mise à jour majeure. Il faudra généralement prévoir une réinstallation et une reconfiguration complètes, ou bien suivre un éventuel Guide de migration qui aura été rédigé dans ce but.

    ## Mises à jour intermédiaires

    Les mises à jour *intermédiaires* sont les plus courantes. Il s'agit, par exemple, d'une mise à jour de Canopsis 3.25.0 vers Canopsis 3.26.0.

    Ce type de mise à jour apporte de nouvelles fonctionnalités, souvent des corrections de bugs et parfois quelques changements de comportement.

    Elle nécessite de suivre la [procédure standard de mise à jour](index.md) et de réaliser toute manipulation supplémentaire décrite dans les [notes de version](../../index.md#notes-de-version) correspondantes. Si un Guide de migration existe pour cette version, il doit être suivi.

## Mises à jour mineures

On parle d'une mise à jour *mineure* lorsque le troisième chiffre change ; par exemple, lors du passage de Canopsis 22.10.0 à 22.10.1.

Ces mises à jour comportent uniquement des correctifs. Il n'y a aucun ajout de fonctionnalités ou changement fonctionnel.

Elle nécessite de suivre la [procédure standard de mise à jour](index.md) et de réaliser toute manipulation supplémentaire décrite dans les [notes de version](../../index.md#notes-de-version) correspondantes.
