# Notes de version Canopsis 23.04.7

Canopsis 23.04.7 a été publié le 16 octobre 2023.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Un bug a nécessité l'ajout d'un paramètre dans le fichier de configuration [canopsis.toml](../guide-administration/administration-avancee/modification-canopsis-toml.md).

Le paramètre permet de définir le temps d'export maximum autorisé.

```
[Canopsis.api]
ExportMongoClientTimeout = "1m"
```

### Liste des modifications entre Canopsis 23.04.6 et 23.04.7

*  **Interface graphique :**
    * Correction d'un bug qui empêchait l'export CSV dans certaines conditions (#4520)
    * Le [helper handlebars `copy`](../guide-utilisation/interface/helpers/index.md#helper-copy) supporte certains caractères spéciaux (#5049)
    * Ajout de la possibilité d'annuler l'annulation d'une alarme (#4971)
    * Meilleure présentation des liens lorsque le nombre maximum de liens est spécifié (#4991)
    * Correction d'un bug qui empêchait de positionner une image sur la mire de connexion (#4948)
    * Correction d'un bug qui empêchait la déclaration de tickets en masse (#5069)
    * Les [variables d'environnement](../guide-administration/administration-avancee/modification-canopsis-toml.md#section-canopsistemplatevars) sont utilisables dans les URL (#5066)
    * Lors d'une déclaration de ticket, si une seule règle est appliquable, elle est automatiquement sélectionnée (#5075)
    * Le filtre `Observateur` de l'explorateur de contexte est renommée en `Service` sur une nouvelle installation (#3890)
    * La proposition par défaut de l'impact d'un service est à présent valide (#4740)
    * La fonctionnalité `Engines` est supprimée dans l'édition `community`. Elle sera remplacée par `Healthcheck` (#5071)
*  **Éditeur de patterns :**
    * Correction d'un bug qui empêchait la bonne interpétation des tags dans l'éditeur de pattern (#5086)
    * Correction de l'absence de l'opérateur `Existe` dans les patterns d'événements pour les Extra Infos (#5091)
*  **API :**
    * Seconde partie de correction d'un bug qui entrainait un calcul de durée d'alarme négatif (#5001)
    * Correction d'un bug qui empêchait d'exporter les entités qui étaient en trop grand nombre (#5105)
*  **Moteur Remédiation:**
    * Les remédiations désactivées sont à présent réellement désactivées (#5065)
    * Correction d'un bug qui générait une erreur 500 avec le message "runtime error: invalid memory address or nil pointer dereference" (#5046, 5083)
    * Correction d'un bug qui empechait l'export de statistiques de remédiation en cas d'absence de métrique (#5072)
