# Notes de version Canopsis 23.10.3

Canopsis 23.10.3 a été publié le 11 décembre 2023.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Canopsis 23.10.3 inclut des optimisations de performances suite à des comportements observés dans certains cas d'usage.  
Ces optimisations concernent à la fois les moteurs et l'interface graphique.

Les moteurs `engine-che` et `engine-axe` bénéficient d'un nouveau paramètre de lancement : `-workers`

```
./engine-che -h
Usage of /engine-che:
...
  -workers int
    	Amount of workers to process main event flow (default 10)
```

Ce paramètre permet une plus large parallélisation des opérations du moteur lorsque cela est possible.


Dans le fichier [canopsis.toml](../guide-administration/administration-avancee/modification-canopsis-toml.md), un nouveau paramètre est mis à disposition : `EnableArraySortingInEntityInfos`.

```ini
[Canopsis.alarm]
# EnableArraySortingInEntityInfos enables sorting string array infos before saving to an entity.
EnableArraySortingInEntityInfos = true
```

Celle-ci permet d'activer ou de désactiver le tri dans les listes utilisées dans les attributs d'événements.  
Par exemple, si un événement contient 

```
info1=["item2", "item1"]
```

le fait d'activer l'option transformera `info1` en 

```
info1=["item1", "item2"]
```

Si l'option est désactivée, l'ordre ne changera pas.

### Liste des modifications entre Canopsis 23.10.2 et 23.10.3

*  **Interface graphique :**
    * Correction d'un bug sur les widgets "report" qui produisait une erreur générique (#5199)
    * La liste des règles SNMP est à présent paginée (#5204)
    * Correction d'un bug qui pouvait entrainer un freeze de l'onglet de navigateur dans certaines situations (#5210)
    * Les liens du helper `internallink` sont à nouveau affichés en blanc (#5223)
    * Il est à présent possible de masquer le switch "Cacher les tuiles grises" des météos de services (#5223)
    * Amélioration des performances d'affichage des bac à alarmes notamment en cas d'utilisation de 50+ items par page (#5206, #5143)
    * Amélioration de temps d'affichage de la fenêtre "MoreInfos" (#5206)
    * Amélioration du temps d'exécution des actions du bac à alarmes (#5214)
*  **Éditeur de patterns :**
    * Les opérateurs `is_one_of` et `is_not_one_of` ont été déployés pour tous les attributs éligibles (#5143)
*  **Moteur CHE :**
    * Amélioration des performances de temps de traitement du moteur CHE (#5211)
*  **Moteur AXE :**
    * Correction d'un bug qui envoyait trop d'évènements internes pour les entités service, provoquant une sur-utilisation de mémoire dans Redis (#5212)
*  **Migration :**
    * Correction du script de migration des noms de colonnes de suivi de cause racine (#5143)
