# Notes de version Canopsis 23.10.6

Canopsis 23.10.6 a été publié le 12 avril 2024.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Une erreur de migration vers la version 23.10.5 a été repérée.  
Elle mène au message d'erreur suivant **ERROR: there is no unique or exclusion constraint matching the ON CONFLICT specification**.  
La version 23.10.6 corrige ce problème. Si toutefois vous le rencontriez, faites appel à notre service de support.  

### Liste des modifications entre Canopsis 23.10.5 et 23.10.6

*  **Général :**
    * Dans une installation par paquets RPM, les répertoires d'upload de fichiers (junit-files, upload-files) sont à présent créés automatiquement (#5355)
*  **Interface graphique :**
    * **Bac à alarmes**
        * Harmonisation des actions mises à disposition entre les alarmes ouvertes et les cloturées (#5186)
        * Correction d'un bug d'affichage des labels de colonnes (#5332)
        * Correction d'un bu de pagination des alarmes liées d'une méta alarme (#5243)
        * La recherche des ID de tickets est à présent disponible (#4881)
        * Correction d'un bug qui entrainait de mauvais résultats lors d'un filtre sur les remédiations (#5175)
        * Optimisation d'un temps de traitement qui pouvait entrainer un décalage des actions lors d'un raffraichissement (#5357)
        * Correction d'un bug qui pouvait entrainer une erreur d'affichage sur le bac en cas de suppression d'un filtre (#5353)
        * Lorsqu'un bac à alarmes a été trié par tag depuis la fenêtre "Plus d'infos", il est à présent possible de supprimer ce tri (#5023)
    * **Météo des Services**
        * Possibilité de cacher l'icône secondaire sur les tuiles de météo (#5297)
        * Les liens des alarmes sont à présents disponibles sur les météos des services (#5339)
    * Correction d'un bug des vues "kiosk" et "liste de lecture" qui ne présentaient aucune alarme (#5342)
    * Amélioration de la gestion des scrolls de l'explorateur de contexte par l'ajout du paramètre "Expand card" (#5189)
    * Ajout de la colonne "Display Name" dans la liste des utilisateurs (#4800)
    * Correction du calcul des périodes prédéfinies dans le suivi personnalisé (#5364)
*  **API**
    * Correction d'un bug qui entrainait de mauvais résultats lors d'un filtre sur les remédiations
    * Correction d'un bug sur l'API `/api/v4/bulk/entityservices` qui n'acceptait que les payloads munis d'un `_id` (#5360)
    * Correction d'un bug sur l'API `/api/v4/contextgraph-import-partial` qui entrainait dans certains cas un mauvais rattachement aux services (#5361)
*  **Moteur AXE**
    * Correction du calcul des compteurs de Services qui pouvaient être faussés dans certaines situations (#5384)
*  **Moteur Action**
    * Ajout de la possibilité d'interaction entre les moteurs `action` et `dynamic-infos` (#5215)
*  **Migration**
    * Correction des scripts de migration de règles de filtrage qui amenaient à l'erreur : "PlanExecutor error during aggregation :: caused by :: cannot compare to undefined" (#5375)

