# Notes de version Canopsis 24.04.1

Canopsis 24.04.1 a été publié le 25 juillet 2024.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).


### Changements importants

!!! warning "Points d'attention"

    L'interface graphique bénéficie en 24.04.1 d'améliorations de performance substantielles. Ces améliorations sont visibles d'autant plus sur les bacs à alarmes qui affichent 100 alarmes par page.  
    Les bacs à alarmes dont la largeur des colonnes a été redimensionnée manuellement devront être paramétrés à nouveau.

### Corrections de bugs

*  **Interface graphique :**
    * Un utilisateur sans vue par défaut peut de nouveau ouvrir son profil (#5394)
    * Correction d'un bug qui empêchait les règles de calcul d'état d'être sauvegardées (#5447)
    * Correction d'un bug qui entrainait le gel de l'interface en naviguant de vue en vue (#5450)
    * Il n'est plus possible de trier les règles de filtrage par "Erreurs" afin d'éviter un message "Quelque chose s'est mal passé (#5464)
    * Les fichiers ical peuvent à nouveau être importés (#5487)
    * Correction d'un bug de validation de borne supérieure de date d'exception (#5488)
    * Les règles de déclaration de ticket peuvent maintenant être supprimées en masse (#5496)
    * Le type "default_active" des comportements périodiques peut à présent être masqué (#5508)
    * Correction d'un bug qui empêchait les rôles comprenant un "/" d'être supprimés (#5513)
    * L'interface ne propose plus de renommer les rôles et évite ainsi une erreur (#5504)
    * **Explorateur de contexte :**
        * Correction d'un bug qui obligeait l'utilisateur à plier/déplier une entité pour forcer le rafraîchissement des données de celle-ci (#5511)
    * **Bac à alarmes :**
        * Correction d'un bug qui empêchait de filtrer des alarmes par auteur d'acquittement lorsqu'un "AuthorScheme" était paramétré (#5410)
        * Correction d'un bug qui empêchait la recherche naturelle de fonctionner dans certaines situations (#5461)
    * **Editeur de patterns :**
        * L'éditeur de pattern propose à présent des valeurs correctes pour l'attribut "Statut" (#5475)
    * **Météo des Services :**
        * Les variables suggérées (`(x)`) sont maintenant correctement remplacées (#5502)
*  **Moteurs :**
    * **Smart-Feeder :**
        * Correction d'un bug de gestion des métriques (#5162)
    * **Remédiation :**
        * Correction d'un bug concernant le délai d'inactivité des alarmes conséquences (#5453)
        * Correction d'un bug qui entrainait l'erreur suivante lors de l'utilisation de l'option `-cleanUp` : "cannot update/delete rows from chunk \"_hyper_xx_chunk\" as it is compressed" (#5526)
    * **Correlation :**
        * Correction d'un bug qui empêchait une alarme annulée d'être dissociée d'une méta-alarme (#5408)

### Améliorations

*  **Général :**
    * Le fichier de configuration docker compose de référence pour le service "reconfigure" intègre à présent naturellement une configuration d'override (#5455)
    * Les authentifications `SAML` et `OAUTH2/OPENID` bénéficient à présent du support multi-rôles (#5478)
*  **Interface graphique :**
    * Changements importants dans la manière d'afficher les vues afin d'améliorer les performances lorsque 100 alarmes par page doivent être affichées (#5366)
    * La largeur minimale des colonnes a été revue à la baisse (#5332)
    * Possibilité d'utiliser des balises `iframe` dans les éditeurs HTML (#5459)
    * Les noms de colonnes sont à présent répartis dans des catégories (#5493)
    * Ajout de la suggestion "source_type" dans les templates de météo de service (#5503)
    * Au moment de supprimer un rôle, si un utilisateur hérite de celui-ci, une erreur plus claire est présentée sur l'interface (#5518)
    * Il est maintenant impossible de supprimer son propre utilisateur (#5505)
*  **Editeur de patterns :**
    * Les valeurs de types d'événements ne sont plus traduites pour éviter des confusions (#5507)
*  **Moteurs :**
    * **Remediation :**
        * Ajout d'une option de lancement du moteur `-cleanUp`. Cette opération vise à supprimer toutes les statistiques de remédiation, elle est irreversible. [Voir la doc](../../../guide-utilisation/menu-administration/consignes/#statistiques-de-remediation) (#5457)
    * **SNMP :**
        * Ajout du support Redis Sentinel dans le moteur SNMP (#5474)
    * **Che :**
        * Ajout de l'action d'enrichissement "set_entity_info_from_dictionary" qui permet de sauvegarder autant d'informations d'entité qu'il y a de clés dans un dictionnaire (#5415)
*  **API :**
    * Possibilité de patcher un comportement périodique créé depuis l'interface graphique (#5452)
    * La route alarm-counters prend en charge un pattern d'alarmes (#5515)
*  **Environnement :**
    * Ajout d'une configuration d'override du fichier `canopsis.toml` (#5455)
    * Le service redis des environnements de référence hérite lui aussi du service de base service_base (#5484)
*  **Documentation :**
    * Ajout de la [documentation d'installation de Canopsis via packages Helm](../../guide-administration/installation/installation-helm/)
    * Ajout d'un [paragraphe qui décrit le fonctionnement du multi-rôle](../../guide-administration/administration-avancee/methodes-authentification-avancees#multi-role) dans les authentifications SAML et OAUTH2.
