# Notes de version Canopsis 24.04.2

Canopsis 24.04.2 a été publié le 5 septembre 2024.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Changements importants

!!! warning "Points d'attention"

    En version 24.04.1, une regression importante concernant le "glisser/déposer" de manière générale a été constatée.  
    Une correction est apportée en version 24.04.2.


### Corrections de bugs

*  **Interface graphique :**
    * Correction de la proposition de complétion automatique de l'action d'enrichissement "set_entity_info_from_dictionary" qui permet de sauvegarder autant d'informations d'entité qu'il y a de clés dans un dictionnaire (#5415)
    * La date de dernière modification des règles de méta alarmes est mise à jour correctement (#5528)
    * Correction de plusieurs effets indésirables observés de l'éditeur de patterns concernant l'édition, la sauvegarde, le copier/coller (#5523, #5569)
    * Le placeholder du niveau d'impact d'un service passe de 0 à 1; la valeur 0 est en effet invalide (#4740)
    * **Bac à alarmes :**
        * L'affichage des colonnes de méta alarmes peut à nouveau être personnalisé via un template (#5543)
        * Correction d'un bug qui empêchait le déplacement (drag'n drop) des colonnes et des onglets de vues (#5537)
        * Le filtre open/resolved est pris en compte correctement (#4796)
        * Correction d'un bug qui ne prenait pas en compte le nombre de liens à afficher dans la colonne des liens (#5558)
*  **Moteurs :**
    * **Action :**
        * Correction d'un bug qui déclenchait un crash du moteur action avec le message "panic: runtime error: invalid memory address or nil pointer dereference" (#5549)
    * **SNMP :**
        * Correction d'un bug de lecture des URL redis qui entrainait le message d'erreur suivant : "ValueError: Port could not be cast to integer value as '26379,node1:26379,node2:26379'" (#5474)

### Améliorations

*  **Interface graphique :**
    * Les champs obligatoires sont à présent accompagnés d'une astérisque (#4740)
    * Un filtre par défaut peut être défini sur les widgets de statistiques (#5531)
    * Renommage de la fonctionnalité "Suivi personnalisé" en "Définir un intervalle de date" (#5533)
    * L'utilisation des filtres combinés (mix filters) est éligible aux préférénces utilisateurs (#5559)
*  **Import context graph :**
    * Les clés contenant des "." sont à présent traitées dans l'import (#5570)
*  **Moteurs :**
    * **Axe :**
        * Ajout de certains index de base de données pour éviter les messages de type : "incomplete read of message header: context canceled", "cannot delete temporary alarm" (#5581)
*  **Reconfigure :**
    * Les URL mongodb contenant le caractère `&` sont à présent prises en charge (#5540)
