# Notes de version Canopsis 3.10.0

Canopsis 3.10.0 a été publié le 8 février 2019.

!!! attention
    Cette version de Canopsis désactive temporairement la prise en charge de LDAP en raison d'une régression dans le build de la bibliothèque externe `python-ldap` ([bug #1451](https://git.canopsis.net/canopsis/canopsis/issues/1451)).

    Si vous êtes dépendant de la fonctionnalité LDAP, **n'effectuez pas cette mise à jour vers Canopsis 3.10.0**. Ce problème a été résolu dans [Canopsis 3.11.0](3.11.0.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Il n'y a aucune action supplémentaire à réaliser pour mettre Canopsis à jour d'une version 3.9 à une version 3.10.

## Changements entre Canopsis 3.9.0 et 3.10.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Mise à jour de [la documentation du connecteur Centreon](https://old-doc.canopsis.net/3.10.0/guide-connecteurs/Supervision/Centreon/), qui [devient maintenant open-source](https://git.canopsis.net/canopsis-connectors/connector-centreon-engine) ([#1435](https://git.canopsis.net/canopsis/canopsis/issues/1435))
    *  Mise à jour de la documentation du widget Météo de services, concernant les nouvelles fonctionnalités qui y ont été apportées ([#1421](https://git.canopsis.net/canopsis/canopsis/issues/1421))
    *  Mise à jour de la documentation des variables disponibles dans les templates de l'interface, de la documentation de customisation du nom de l'entité, et de la documentation des modales d'aide sur les variables disponibles ([#1420](https://git.canopsis.net/canopsis/canopsis/issues/1420))
    *  Meilleure documentation de l'intégration LDAP disponible dans Canopsis ([#1036](https://git.canopsis.net/canopsis/canopsis/issues/1036))
    *  Correction de l'intitulé de certains champs documentés dans l'API pbehavior ([#1429](https://git.canopsis.net/canopsis/canopsis/issues/1429))
    *  Meilleure documentation de [l'installation](../guide-administration/installation/installation-paquets.md) et de [la mise à jour](../guide-administration/mise-a-jour/index.md) d'une installation par paquets de Canopsis
    *  Documentation des pré-requis lors de [l'installation Docker](../guide-administration/installation/installation-conteneurs.md) ([#1384](https://git.canopsis.net/canopsis/canopsis/issues/1384))
    *  Ajout d'une note sur le fait que le moteur SNMP n'est actuellement pas fonctionnel en environnement Debian 8 ([#1456](https://git.canopsis.net/canopsis/canopsis/issues/1456))
    *  Améliorations diverses dans la présentation du guide d'administration
*  **Images Docker / paquets :**
    *  Ajout de l'image `engine-axe-cat` pour l'installation Pro en environnement Docker
    *  Correction d'erreurs possibles lors d'import de MIB dans l'interface SNMP (Canopsis Pro uniquement), qui ne fonctionnait pas correctement sur les environnements Debian et Docker, en raison d'une dépendance manquante à `snmp-mibs-downloader` ([#1388](https://git.canopsis.net/canopsis/canopsis/issues/1388))
*  **Moteurs :**
    *  **Moteurs ancienne génération (Python) :**
        * pbehavior : ajout du support des dates d'exclusions dans les pbehaviors
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout du plugin de webhooks ([#69](https://git.canopsis.net/canopsis/go-engines/issues/69))
        *  statsng / webhooks : correction du moteur `che`, afin que les évènements générés lors de l'ack d'une alarme soient bien enrichis avec l'entité ([#74](https://git.canopsis.net/canopsis/go-engines/issues/74))
*  **UI :**
    *  Mise à jour vers [VueJS 2.5.21](https://github.com/vuejs/vue/releases/tag/v2.5.21)
    *  Quelques correctifs du composant VueX utilisé en interne, apportant quelques petites améliorations de performance ([#1409](https://git.canopsis.net/canopsis/canopsis/issues/1409))
    *  **Gestion des vues :**
        *  Ajout de la fonctionnalité de duplication d'onglet ([#1392](https://git.canopsis.net/canopsis/canopsis/issues/1392))
        *  Ajout d'onglets dans les vues installées par défaut ([!671](https://git.canopsis.net/canopsis/canopsis/merge_requests/671))
        *  Correction du message de suppression des vues, qui s'affichait sous sa forme JSON brute ([#1443](https://git.canopsis.net/canopsis/canopsis/issues/1443))
        *  Correction de la duplication des vues ([#1446](https://git.canopsis.net/canopsis/canopsis/issues/1446))
        *  Amélioration des liens vers les vues sur le menu latéral
    *  **Bac à alarmes :**
        *  Ajout d'une zone de saisie de commentaire (optionnelle) lors de la pose d'un comportement périodique ([#1427](https://git.canopsis.net/canopsis/canopsis/issues/1427))
        *  Correction de l'éditeur de filtre avancé, afin de pouvoir changer manuellement le type voulu sur la comparaison d'une variable ([#1447](https://git.canopsis.net/canopsis/canopsis/issues/1447))
    *  **Météo des services :**
        *  Ajout d'un rafraîchissement de la météo après la modification d'un filtre sur la météo ([#1393](https://git.canopsis.net/canopsis/canopsis/issues/1393))
        *  Ajout d'icônes pour les actions effectuées sur les entités ([#1402](https://git.canopsis.net/canopsis/canopsis/issues/1402))
        *  Correction du clignotement et des icônes affichés
        *  Diverses améliorations visuelles ([#1396](https://git.canopsis.net/canopsis/canopsis/issues/1396))
    *  **Profil utilisateur :**
        *  Amélioration du style du menu du profil utilisateur
        *  Correction de la position du menu du profil utilisateur, qui pouvait apparaître tronqué sur la droite ([#1428](https://git.canopsis.net/canopsis/canopsis/issues/1428))
