# Notes de version Canopsis 3.11.0

Canopsis 3.11.0 a été publié le 22 février 2019.

!!! attention
    L'UIv3 n'est pas fonctionnelle dans cette version de Canopsis. Ce problème a été résolu dans [Canopsis 3.12.0](3.12.0.md).

    Cette version de Canopsis ne fonctionne pas sous CentOS 7, suite à un problème avec la dépendance `pybars3`. Ce problème a été corrigé avec [Canopsis 3.13.0](3.13.0.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Il n'y a aucune action supplémentaire à réaliser pour mettre Canopsis à jour d'une version 3.10 à une version 3.11.

## Changements entre Canopsis 3.10.0 et 3.11.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Ajout d'une documentation sur l'utilisation des webhooks ([#1466](https://git.canopsis.net/canopsis/canopsis/issues/1466))
    *  Mise à jour et amélioration de la [documentation du connecteur LibreMNS](../interconnexions/Supervision/LibreNMS.md) ([#1457](https://git.canopsis.net/canopsis/canopsis/issues/1466))
*  **Images Docker / paquets :**
    *  Correction du build de la dépendance `python-ldap`, qui avait dû être temporairement désactivée dans Canopsis 3.10.0 ([#1451](https://git.canopsis.net/canopsis/canopsis/issues/1451))
*  **Moteurs :**
    *  **Moteurs ancienne génération (Python) :**
        *  Correction d'une fuite mémoire dans certains templates (avec une mise à jour vers `pybars3`), ce qui pouvait notamment être constaté lors de l'envoi prolongé de traps SNMP ([#1461](https://git.canopsis.net/canopsis/canopsis/issues/1461))
        *  email2canopsis (Pro) : ajout de la possibilité de supprimer les espaces superflus autour d'une chaîne de caractères (fonctionnalité `trim`) ([#5](https://git.canopsis.net/cat/connector-email2canopsis/issues/5))
        *  snow2canopsis (Pro) : ajout d'une pause au début du script de synchronisation ServiceNow, afin de contourner le fait que l'API Canopsis ne sera pas forcément totalement initialisée (par exemple dans un environnement Docker Compose où toutes les briques sont démarrées en même temps) ([#1452](https://git.canopsis.net/canopsis/canopsis/issues/1452))
        *  statsng (Pro) : Optimisation de l'API statsng afin d'éviter des timeouts lors des appels à InfluxDB au-delà d'un certain nombre d'entités ([#42](https://git.canopsis.net/cat/canopsis-cat/issues/42))
    *  **Moteurs nouvelle génération (Go) :**
        * Ajout des `watcher` dans le context-graph et calcul des entités qui impactent un `watcher` et des entités dont dépend un `watcher`
*  **UI :**
    *  Correction d'un problème de redirection après la connexion ([#1474](https://git.canopsis.net/canopsis/canopsis/issues/1474))
    *  Ajout de la mise en valeur de la vue active dans la barre latérale ([#1468](https://git.canopsis.net/canopsis/canopsis/issues/1468))
    *  Correction d'un problème sur les boutons de gestion des onglets ([#1479](https://git.canopsis.net/canopsis/canopsis/issues/1479))
    *  Ajout d'un paramètre ```Onglet actif``` dans l'URL ([#1436](https://git.canopsis.net/canopsis/canopsis/issues/1436))
    *  Changement de librairie d'éditeur de texte (passage de QuillJS à Jodit) pour les modales d'édition de templates ([#1101](https://git.canopsis.net/canopsis/canopsis/issues/1101))
    *  Correction de problèmes dans l'éditeur de filtres + Ajout d'un sélécteur de type de variable ([#1448](https://git.canopsis.net/canopsis/canopsis/issues/1448), [#1449](https://git.canopsis.net/canopsis/canopsis/issues/1449))
    *  **Bac à alarmes :**
        *  Amélioration significative des performances ([#1433](https://git.canopsis.net/canopsis/canopsis/issues/1433))
        *  Application automatique d'un filtre de temps (30 derniers jours) lors de l'affichage des alarmes résolues ([#1441](https://git.canopsis.net/canopsis/canopsis/issues/1441))
        *  Correction d'un problème avec le paramètre d'affichage des alarmes ouvertes/résolues ([#1440](https://git.canopsis.net/canopsis/canopsis/issues/1440))
    *  **Explorateur de contexte :**
        *  Correction de l'affichage des onglets des panneaux de détails des entités ([#1455](https://git.canopsis.net/canopsis/canopsis/issues/1455))
    *  **Météo des services :**
        *  Application des droits sur les modales et les actions ([#1430](https://git.canopsis.net/canopsis/canopsis/issues/1430))
        *  Ajout de la fonctionnalité de rafraîchissement périodique ([#1467](https://git.canopsis.net/canopsis/canopsis/issues/1467))
        *  Ajout d'infobulles au survol des boutons d'actions, affichant les noms d'actions ([#1475](https://git.canopsis.net/canopsis/canopsis/issues/1475))
