# Notes de version Canopsis 3.16.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.16.0 a été publié le 19 avril 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Il n'y a aucune action supplémentaire à réaliser pour mettre Canopsis à jour d'une version 3.15 à une version 3.16.

## Changements entre Canopsis 3.15.0 et 3.16.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Ajout de détails sur l'authentification dans la documentation LDAP ([#1610](https://git.canopsis.net/canopsis/canopsis/issues/1610))
    *  Ajout d'un prérequis de version minimum du noyau Linux, dans le cas des installations Docker ([#1489](https://git.canopsis.net/canopsis/canopsis/issues/1489))
    *  Améliorations diverses sur la documentation des webhooks ([#1590](https://git.canopsis.net/canopsis/canopsis/issues/1590))
*  **API :**
    * API Webhooks : correction du format dans lequel l'API renvoie l'ID du webhook venant d'être créé : cette réponse est maintenant correctement renvoyée en JSON ([#1621](https://git.canopsis.net/canopsis/canopsis/issues/1621))
    * API Action : ajout d'une route permettant de lister les actions disponibles ([#1619](https://git.canopsis.net/canopsis/canopsis/issues/1619))
    * API Action : correction de la gestion de certaines actions qui pouvaient être rejetées alors qu'elles étaient valides ([#1620](https://git.canopsis.net/canopsis/canopsis/issues/1620))
*  **LDAP :**
    *  Ajout de la possibilité d'utiliser du SSL/TLS dans l'authentification LDAP ([#1611](https://git.canopsis.net/canopsis/canopsis/issues/1611))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  axe : correction des cas dans lesquels le champ `last_update_date` est mis à jour ([#86](https://git.canopsis.net/canopsis/go-engines/issues/86))
        *  watchers : Correction du calcul des dépendances des watchers ([#91](https://git.canopsis.net/canopsis/go-engines/issues/91))
        *  webhooks : ajout des fonctionnalités `json` et `json_unquote` dans les templates de webhooks ([#5](https://git.canopsis.net/cat/go-engines/issues/5))
        *  webhooks : ajout d'un trigger `changestate`, s'appliquant lors de la modification et le verouillage de la criticité d'une alarme ([#1612](https://git.canopsis.net/canopsis/canopsis/issues/1612))
        *  webhooks : correction de la conversion des entiers longs en chaînes de caractères ([#1622](https://git.canopsis.net/canopsis/canopsis/issues/1622))
*  **UI :**
    *  Clarification des messages indiquant à l'utilisateur l'absence de vue par défaut, ou l'absence de droits sur celle-ci ([#1578](https://git.canopsis.net/canopsis/canopsis/issues/1578))
    *  Uniformisation du champ « regex_match » dans tous les éditeurs de filtre avancés ([#1598](https://git.canopsis.net/canopsis/canopsis/issues/1598))
    *  **Bac à alarmes :**
        *  Amélioration de l'affichage des liens dans le Bac à alarmes ([#1601](https://git.canopsis.net/canopsis/canopsis/issues/1601))
        *  Correction de l’action *ack* de masse ([#1591](https://git.canopsis.net/canopsis/canopsis/issues/1591))
        *  Correction de l'affichage des colonnes ayant une valeur de 0 : le chiffre 0 est maintenant bien visible, au lieu de laisser la colonne vide ([#1617](https://git.canopsis.net/canopsis/canopsis/issues/1617))
    *  **Connexion :**
        *  Ajout, sur la page de connexion, des modes d'authentification ayant été activés (SSO, LDAP…) ([#1425](https://git.canopsis.net/canopsis/canopsis/issues/1425))
        *  Ajout des fonctionnalités de personnalisation pour le titre de l’application, le pied de page et la description sur la page de connexion, ainsi que le logo ([#1400](https://git.canopsis.net/canopsis/canopsis/issues/1400), [#1066](https://git.canopsis.net/canopsis/canopsis/issues/1066), [#1152](https://git.canopsis.net/canopsis/canopsis/issues/1152) et [#1153](https://git.canopsis.net/canopsis/canopsis/issues/1153))
    *  **Droits :**
        *  Ajout d'un droit pour la gestion des filtres utilisateur sur le Bac à alarmes ([#1576](https://git.canopsis.net/canopsis/canopsis/issues/1576))
        *  Ajout de droits par défaut pour les vues d’exploitation pbehaviors, webhooks et event-filter ([#1570](https://git.canopsis.net/canopsis/canopsis/issues/1570))
    *  **Exploitation :**
        *  Ajout d'une vue « Règles SNMP » ([#1417](https://git.canopsis.net/canopsis/canopsis/issues/1417))
    *  **Explorateur de contexte :**
         * Correction du rafraîchissement de la liste des pbehaviors lors du rafraîchissement de la vue ([#1596](https://git.canopsis.net/canopsis/canopsis/issues/1596))
         * Correction de la colonne « Enabled » ([#1595](https://git.canopsis.net/canopsis/canopsis/issues/1595))
    *  **Météo des services :**
        *  Amélioration de l'affichage des liens dans la Météo ([#1601](https://git.canopsis.net/canopsis/canopsis/issues/1601))
        *  Modification de l’ordre dans lequel les boutons d’action sont affichés ([#1588](https://git.canopsis.net/canopsis/canopsis/issues/1588))
        *  Modification de l'action « Associer un ticket », renommée en « Déclarer un ticket » ([#1587](https://git.canopsis.net/canopsis/canopsis/issues/1587))
    *  **CRUD pbehavior :**
        *  Ajout de la possibilité d’éditer des pbehaviors ([#1547](https://git.canopsis.net/canopsis/canopsis/issues/1547))
        *  Ajout d'un onglet « RRule » si une règle de récurrence est présente sur le pbehavior ([#1549](https://git.canopsis.net/canopsis/canopsis/issues/1549))
        *  Ajout de la possibilité de lancer une recherche selon l'auteur et le type de pbehavior ([#1549](https://git.canopsis.net/canopsis/canopsis/issues/1549))
        *  Correction du sélecteur de nombre d’éléments par page, qui n’affichait parfois plus de valeur ([#1549](https://git.canopsis.net/canopsis/canopsis/issues/1549))
    *  **CRUD Webhooks :**
        *  Correction de l’envoi du formulaire lorsqu’un `alarm_pattern`, `entity_pattern` ou `event_pattern` est vide : cela ne crée dorénavant plus de webhook, puisque celui-ci serait inutile ([#1589](https://git.canopsis.net/canopsis/canopsis/issues/1589))
