# Notes de version Canopsis 3.17.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.17.0 a été publié le 7 mai 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Si vous utilisez l'édition **Pro** ou les moteurs **Go** de Canopsis, veuillez noter que la procédure de mise à jour impose dorénavant de le préciser [lors de l'appel à `canopsinit`](../guide-administration/mise-a-jour/index.md#mise-a-jour-en-installation-par-paquets).

Il n'y a aucune action supplémentaire à réaliser pour mettre Canopsis à jour d'une version 3.16 à une version 3.17.

## Changements entre Canopsis 3.16.0 et 3.17.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Ajout des options `--canopsis-edition` et `--canopsis-stack` à l'outil `canopsinit` ([#1656](https://git.canopsis.net/canopsis/canopsis/issues/1656))
    *  Moteurs Go : correction de problèmes de compatibilité de la CI avec Go 1.12 ([#92](https://git.canopsis.net/canopsis/go-engines/issues/92))
*  **Documentation :**
    *  Ajout d'une documentation pour la nouvelle API `/api/internal/properties` ([#1634](https://git.canopsis.net/canopsis/canopsis/issues/1634))
    *  Ajout d'une documentation sur la [procédure de changement de verbosité des moteurs Python - lien obsolète]() ([#1659](https://git.canopsis.net/canopsis/canopsis/issues/1659))
    *  Amélioration de la documentation des templates de webhooks, et ajout de [documentation sur les nouveaux opérateurs `split` et `trim`](../guide-utilisation/templates-go/index.md) ([#6](https://git.canopsis.net/cat/go-engines/issues/6))
    *  Modification de la [procédure de mise à jour](../guide-administration/mise-a-jour/index.md), afin de prendre en compte les nouvelles options de `canopsinit` ([#1655](https://git.canopsis.net/canopsis/canopsis/issues/1655))
    *  Modification de la documentation `task_ackcentreon`, afin de lever tout ambiguïté entre la fonctionnalité `event-filter` Python ou Go ([#1651](https://git.canopsis.net/canopsis/canopsis/issues/1651))
*  **API :**
    *  Internal : le backend peut maintenant communiquer au frontend « l'édition » (`core` ou `cat`, `core` par défaut) et « la stack » (`python` ou `go`, `python` par défaut) du Canopsis venant d'être configuré ([#1634](https://git.canopsis.net/canopsis/canopsis/issues/1634))
    *  Ajout d'une vérification lors de l'envoi d'évènements `changestate` ou `keepstate` avec la criticité `info` : une erreur est maintenant correctement renvoyée ([#1648](https://git.canopsis.net/canopsis/canopsis/issues/1648))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  axe : Port des pbehaviors depuis les moteurs Python ([#102](https://git.canopsis.net/canopsis/go-engines/issues/102))
        *  axe : Ajout du paramètre `-autoRecomputeWatchers` au moteur `axe`, permettant de recalculer automatiquement les watchers lors du *beat* du moteur. Ceci est actuellement nécessaire pour le bon fonctionnement des watchers Go ([#101](https://git.canopsis.net/canopsis/go-engines/issues/101))
        *  webhooks (plugin Pro) : ajout des opérateurs `split` et `trim` aux templates de webhooks ([#6](https://git.canopsis.net/cat/go-engines/issues/6))
        *  webhooks (plugin Pro) : ajout d'une option `disable_if_active_pbehavior` aux webhooks, permettant de désactiver le webhook si un pbehavior est actif sur l'entité ([#100](https://git.canopsis.net/canopsis/go-engines/issues/100))
    *  **Moteurs ancienne génération (Python) :**
        *  statsng (Pro) : ajout de statistiques pour les alarmes en cours avec et sans ACK ([#1574](https://git.canopsis.net/canopsis/canopsis/issues/1574))
        *  statsng (Pro) : correction d'un problème de compatibilité entre les moteurs `statsng` (Python) et `axe` (Go) ([#1627](https://git.canopsis.net/canopsis/canopsis/issues/1627))
        *  statsng (Pro) : correction des statistiques d'alarmes en cours, qui pouvaient parfois être négatives ([#1572](https://git.canopsis.net/canopsis/canopsis/issues/1572))
*  **UI :**
    *  Refactorisation du profil utilisateur et correction du stockage de la langue de l'interface ([#1639](https://git.canopsis.net/canopsis/canopsis/issues/1639))
    *  **Bac à alarmes :**
        *  Ajout de l'affichage du rôle utilisateur sur la *timeline* ([#1649](https://git.canopsis.net/canopsis/canopsis/issues/1649))
        *  Ajout d'un paramètre permettant de conserver l'affichage du bouton « Ack », même lorsqu'une alarme a déjà été acquittée ([#1641](https://git.canopsis.net/canopsis/canopsis/issues/1641))
        *  Suppression de l'option « Info » dans la modale « Changer la criticité » ([#1642](https://git.canopsis.net/canopsis/canopsis/issues/1642))
        *  Correction du formulaire de pose d'un *pbehavior* depuis le Bac ([#1640](https://git.canopsis.net/canopsis/canopsis/issues/1640))
        *  Correction de l'affichage de l'infobulle « pbehavior » du Bac à alarmes, qui affiche maintenant correctement les commentaires du *pbehavior* ([#1650](https://git.canopsis.net/canopsis/canopsis/issues/1650))
    *  **Connexion :**
        *  Refonte du style de la page de connexion, et ajout d'une description sur cette page ([#1597](https://git.canopsis.net/canopsis/canopsis/issues/1597))
    *  **Explorateur de contexte :**
        *  La gestion des watchers de l'Explorateur de contexte est maintenant compatible avec les différentes « éditions » et « stack » de Canopsis (Python ou Go, Community ou Pro), à condition que cela ait été correctement renseigné lors de l'appel à `canopsinit` (voir plus haut) ([#1635](https://git.canopsis.net/canopsis/canopsis/issues/1635))
        *  Correction de la suppression en masse d'entités ([#1629](https://git.canopsis.net/canopsis/canopsis/issues/1629))
    *  **Météo des services :**
        *  Ajout d'une icône « Action annulée » dans la liste des actions ayant pu être appliquées sur une entité ([#1586](https://git.canopsis.net/canopsis/canopsis/issues/1586))
        *  Ajout de la possibilité d'afficher *à la fois* une « Liste d'alarmes » *et* « Plus d'infos » sur un widget de météo ([#1604](https://git.canopsis.net/canopsis/canopsis/issues/1604))
        *  Correction de l'ouverture du Bac à alarmes depuis un widget météo : ce mécanisme est maintenant compatible à la fois avec les watchers Python et Go ([#1652](https://git.canopsis.net/canopsis/canopsis/issues/1652))
    *  **Traductions :**
        *  Mise à jour et correctifs divers pour la traduction française ([#1625](https://git.canopsis.net/canopsis/canopsis/issues/1625))
    *  **CRUD Webhooks :**
        *  Ajout de la possibilité de choisir un *trigger* « changestate » depuis l'interface (suite à son ajout dans les webhooks dans Canopsis 3.16.0) ([#1636](https://git.canopsis.net/canopsis/canopsis/issues/1636))
        *  Ajout de la possibilité d'utiliser un *trigger* « cancel » sur un « event\_pattern » ([#1624](https://git.canopsis.net/canopsis/canopsis/issues/1624))
        *  Ajout de la prise en charge de la nouvelle option `disable_if_active_pbehavior` des webhooks depuis l'interface ([#1668](https://git.canopsis.net/canopsis/canopsis/issues/1668))
        *  Correction de l'affichage et de l'édition des webhooks ne comportant pas de `declare_ticket` ([#1643](https://git.canopsis.net/canopsis/canopsis/issues/1643))
