# Notes de version Canopsis 3.18.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.18.0 a été publié le 17 mai 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Puis, effectuer les manipulations suivantes.

### Première installation : double lancement de `canopsinit` nécessaire

Si vous faites une *nouvelle installation* de Canopsis 3.18.0 (et non pas une simple mise à jour), vous devez [lancer `canopsinit` une seconde fois](../guide-administration/mise-a-jour/index.md#procedure-standard-de-mise-a-jour), après l'appel à `canoctl`.

Cette procédure n'est nécessaire que pour Canopsis 3.18.0. Le problème sera résolu avec Canopsis 3.19.0.

### Mise à jour de la description de la page de connexion

Cette procédure est obligatoire si vous effectuez une mise à jour depuis Canopsis 3.17.0. Vous pouvez passer cette étape s'il s'agit d'une nouvelle installation.

Vous devez vous [connecter à MongoDB](../guide-administration/administration-avancee/connexion-a-la-base-de-donnees.md) et exécuter la requête suivante, afin de permettre l'affichage du module de description de la page de connexion :

```js
db.configuration.update({"_id": "user_interface"}, { $rename: { "login_page": "login_page_description" } })
```

La modification est effective dès que vous rechargez la page de connexion.

Il n'y a pas d'autre action à réaliser pour mettre Canopsis à jour d'une version 3.17 à une version 3.18.

## Changements entre Canopsis 3.17.0 et 3.18.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Correction du schéma exécuté par `canopsinit` lors d'une nouvelle installation, afin de livrer correctement le bloc de description de la page d'accueil (voir la procédure plus haut dans le cas d'une mise à jour) ([#1686](https://git.canopsis.net/canopsis/canopsis/issues/1686))
*  **Documentation :**
    *  Ajout de documentation sur le nouveau mécanisme d'interprétation de contenu HTML dans les colonnes du Bac à alarmes
    *  Ajout du cas d'utilisation en environnement Docker pour l'outil `amqp2tty` ([#1683](https://git.canopsis.net/canopsis/canopsis/issues/1683))
    *  Améliorations diverses sur la documentation du linkbuilder ([#1695](https://git.canopsis.net/canopsis/canopsis/issues/1695))
    *  Améliorations diverses sur la documentation du connecteur Centreon vers Canopsis ([#1714](https://git.canopsis.net/canopsis/canopsis/issues/1714))
    *  Correction de problèmes de recherche sur la plateforme en ligne [doc.canopsis.net](https://doc.canopsis.net) ([#1680](https://git.canopsis.net/canopsis/canopsis/issues/1680))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Correction du comportement des moteurs Go par rapport aux moteurs Python : le champ `output` est maintenant ajouté à toutes les alarmes et mis à jour à chaque évènement, ce qui est notamment nécessaire pour les watchers ([#106](https://git.canopsis.net/canopsis/go-engines/issues/106))
        *  watchers : Ajout de nouvelles valeurs de compteurs dans l'`output_template`, et mise à jour de la documentation associée ([#105](https://git.canopsis.net/canopsis/go-engines/issues/105))
        *  che : Correction du calcul des liens (`impacts`, `depends`) des watchers lorsqu'une entité a été modifiée par l'event-filter ([#104](https://git.canopsis.net/canopsis/go-engines/issues/104))
        *  event-filter : Ajout d'un renvoi d'erreur losqu'un template d'event-filter utilise une valeur inexistante ([#66](https://git.canopsis.net/canopsis/go-engines/issues/66))
    *  **Moteurs ancienne génération (Python) :**
        *  statsng (Pro) : Ajout de statistiques sur les alarmes avec ACK ([#1666](https://git.canopsis.net/canopsis/canopsis/issues/1666))
        *  statsng (Pro) : Correction du calcul des statistiques de disponibilités et des alarmes en cours, lorsque des entités ont été supprimées ([#1706](https://git.canopsis.net/canopsis/canopsis/issues/1706))
        *  statsng (Pro) : Correction du calcul des statistiques `alarms_canceled` et `ack_time_sla` ([#1660](https://git.canopsis.net/canopsis/canopsis/issues/1660)) 
*  **UI :**
    *  **Bac à alarmes :**
        *  Ajout de la possibilité d'interpréter certains contenus HTML dans certaines colonnes du Bac à alarmes ([#1102](https://git.canopsis.net/canopsis/canopsis/issues/1102))
        *  Correction du format d'affichage des champs `duration` et `current_state_duration` des alarmes ([#1707](https://git.canopsis.net/canopsis/canopsis/issues/1707))
        *  Correction du mix de filtres, qui pouvait retourner une erreur dans certaines conditions ([#1713](https://git.canopsis.net/canopsis/canopsis/issues/1713))
    *  **Connexion :**
        *  Refactorisation du style de la page de connexion ([#1597](https://git.canopsis.net/canopsis/canopsis/issues/1597))
    *  **Droits :**
        *  Ajout d'un mécanisme de droits génériques et de droits ciblés sur les `linklists` du Bac à alarmes et de la Météo, et mise à jour de la documentation associée ([#1692](https://git.canopsis.net/canopsis/canopsis/issues/169), [#1715](https://git.canopsis.net/canopsis/canopsis/issues/1715))
        *  Ajout de droits par défaut pour la vue SNMPRULE ([#1654](https://git.canopsis.net/canopsis/canopsis/issues/1654))
    *  **Éditeur de filtres :**
        *  Amélioration des champs proposés par défaut dans l'éditeur de filtres, par exemple lors de son utilisation pour des *pbehaviors* ([#1615](https://git.canopsis.net/canopsis/canopsis/issues/1615))
    *  **Météo des services :**
        *  Correction de la couleur des météos en état mineur ([#1658](https://git.canopsis.net/canopsis/canopsis/issues/1658))
        *  Correction de la redirection d'une tuile de météo vers un Bac à alarmes ([#1652](https://git.canopsis.net/canopsis/canopsis/issues/1652))
    *  **Pbehaviors :**
        *  Correction de la gestion des règles de récurrence après leur suppression depuis l'interface ([#1694](https://git.canopsis.net/canopsis/canopsis/issues/1694))
    *  **Statistiques :**
        *  Ajout des nouvelles statistiques `current_ongoing_alarms_with_ack`, `current_ongoing_alarms_without_ack` et `alarms_acknowledged` ([#1662](https://git.canopsis.net/canopsis/canopsis/issues/1662), [#1667](https://git.canopsis.net/canopsis/canopsis/issues/1667))
        *  Ajout de la possibilité de choisir un ordre de tri sur une colonne du Tableau de statistiques ([#1700](https://git.canopsis.net/canopsis/canopsis/issues/1700))
        *  Correction du format d'affichage de certaines statistiques ([#1665](https://git.canopsis.net/canopsis/canopsis/issues/1665), [#1638](https://git.canopsis.net/canopsis/canopsis/issues/1638))
        *  Correction de l'édition et de la suppression d'un widget de statistiques, qui n'était pas possible tant que son chargement n'était pas terminé ([#1663](https://git.canopsis.net/canopsis/canopsis/issues/1663))
        *  Correction du calcul lors du choix d'une durée ([#1661](https://git.canopsis.net/canopsis/canopsis/issues/1661))
    *  **Widgets :**
        *  Calendrier : correction du calendrier dans le cas où on y ajoute plus d'un filtre ([#1605](https://git.canopsis.net/canopsis/canopsis/issues/1605))
    *  **CRUD Event-filter :**
        *  Correction de l'affichage de l'état des règles activées par défaut ([#1672](https://git.canopsis.net/canopsis/canopsis/issues/1672))
    *  **CRUD Webhooks :**
        *  Ajout de l'option « Désactiver si un pbehavior est actif » au formulaire de création et d'édition d'un webhook ([#1668](https://git.canopsis.net/canopsis/canopsis/issues/1668))
    *  **CRUD Watchers :**
        *  Adaptation de l'interface, afin de prendre en charge à la fois les watchers Go et Python, en se basant sur les informations `edition`/`stack` ajoutées à l'API de Canopsis 3.17.0 ([#1635](https://git.canopsis.net/canopsis/canopsis/issues/1635))
