# Notes de version Canopsis 3.19.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.19.0 a été publié le 4 juin 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.18 à une version 3.19.

## Changements entre Canopsis 3.18.1 et 3.19.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Les fichiers Docker-Compose acceptent maintenant des variables `CPS_EDITION` (`core` ou `cat`) et `CPS_STACK` (`python` ou `go`) qui seront automatiquement transmises à `canopsinit` par l'image de provisioning ([#1679](https://git.canopsis.net/canopsis/canopsis/issues/1679))
*  **API :**
    *  `get-alarm` : Correction du calcul de la durée de résolution des alarmes (`alarm.v.duration`) ([#1697](https://git.canopsis.net/canopsis/canopsis/issues/1697))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Parité avec les moteurs Python : Ajout, en environnement Go, du rôle utilisateur dans les étapes des alarmes ([#109](https://git.canopsis.net/canopsis/go-engines/issues/109))
        *  statsng (Pro) : Correction d'erreurs pour les entités comportant un caractère de retour à la ligne (`\n`) ([#1738](https://git.canopsis.net/canopsis/canopsis/issues/1738))
        *  statsng (Pro) : Correction d'une utilisation excessive de mémoire pour les environnements comportant un nombre important d'alarmes ([#1721](https://git.canopsis.net/canopsis/canopsis/issues/1721))
        *  statsng (Pro) : Correction de statistiques manquantes lorsque deux alarmes affectant un *watcher* sont résolues au même moment ([#41](https://git.canopsis.net/cat/canopsis-cat/issues/41))
        *  statsng (Pro) : Correction de la prise en compte des statistiques de MTBF (*temps moyen entre les pannes*) pour les alarmes des dépendances ([#1729](https://git.canopsis.net/canopsis/canopsis/issues/1729))
        *  statsng (Pro) : Correction du calcul des statistiques récursives ([#1734](https://git.canopsis.net/canopsis/canopsis/issues/1734))
        *  statsng (Pro) : Correction de la validité des statistiques générées lorsqu'un *beat* n'a pas été exécuté ([#1739](https://git.canopsis.net/canopsis/canopsis/issues/1739), [#1733](https://git.canopsis.net/canopsis/canopsis/issues/1733))
        *  statsng (Pro) : Correction d'erreurs de typage dans certains cas d'utilisation ([#1740](https://git.canopsis.net/canopsis/canopsis/issues/1740))
*  **UI :**
    *  Correction de la fonctionnalité « Copier vers le presse-papiers », qui n'était plus fonctionnelle sur les versions 3.17 et 3.18 ([#1708](https://git.canopsis.net/canopsis/canopsis/issues/1708))
    *  Correction d'un problème de superposition de la *sidebar* et de la *topbar* ([#1747](https://git.canopsis.net/canopsis/canopsis/issues/1747))
    *  **Éditeur de filtres :**
        *  Correction de la validation des filtres comportant des groupes imbriqués ([#1725](https://git.canopsis.net/canopsis/canopsis/issues/1725))
    *  **Statistiques :**
        *  Ajout d'un nouveau widget de diagramme de Pareto ([#1701](https://git.canopsis.net/canopsis/canopsis/issues/1701))
        *  Correction des heures proposées lors du choix d'un intervalle de date personnalisée : des heures pleines sont maintenant proposées ([#1732](https://git.canopsis.net/canopsis/canopsis/issues/1732))
        *  Correction de l'affichage des courbes de taux, qui correspondent maintenant à des pourcentages ([#1730](https://git.canopsis.net/canopsis/canopsis/issues/1730))
    *  **CRUD Event-filter :**
        *  Correction de l'action de duplication d'une règle d'event-filter ([#1618](https://git.canopsis.net/canopsis/canopsis/issues/1618))
    *  **CRUD Pbehaviors :**
        *  Correction de l'affichage des dates de pbehaviors formatées en millisecondes ([#1703](https://git.canopsis.net/canopsis/canopsis/issues/1703))
        *  Correction de l'affichage de certains pbehaviors complexes dans l'éditeur ([#1737](https://git.canopsis.net/canopsis/canopsis/issues/1737))
    *  **CRUD SNMP :**
        *  Correction des règles SNMP générées par l'UIv3 ([#1735](https://git.canopsis.net/canopsis/canopsis/issues/1735))
    *  **CRUD Webhooks :**
        *  Correction de l'édition des champs contenant un caractère `.`, dans l'éditeur simple ([#1644](https://git.canopsis.net/canopsis/canopsis/issues/1644))
