# Notes de version Canopsis 3.21.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.21.0 a été publié le 21 juin 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.20 à une version 3.21.

## Changements entre Canopsis 3.20.0 et 3.21.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Correction des fichiers `default_configuration.toml` et `canopsis-engine-go@.service` nécessaires pour les moteurs Go en environnements paquets sur Debian et CentOS
*  **Documentation :**
    *  Ajout de documentation sur les KPI et leurs cas d'usage dans le [Guide d'utilisation](../guide-utilisation/index.md) ([#1785](https://git.canopsis.net/canopsis/canopsis/issues/1785))
    *  Ajout de [documentation sur les procédures de sauvegarde et de restauration](../guide-administration/administration-avancee/actions-base-donnees.md) des bases de données liées à Canopsis ([#1786](https://git.canopsis.net/canopsis/canopsis/issues/1786))
*  **Connecteurs :**
    *  email2canopsis (Pro) : Ajout d'une option `leavemails` permettant de conserver sur le serveur les emails lus ([#6](https://git.canopsis.net/cat/connector-email2canopsis/issues/6))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  axe : correction des performances du moteur `axe` lorsqu'un grand nombre d'entités est présent ([#112](https://git.canopsis.net/canopsis/go-engines/issues/112))
        *  Correction du mécanisme de *profiling* intégré aux moteurs Go ([#111](https://git.canopsis.net/canopsis/go-engines/issues/111))
    *  **Moteurs ancienne génération (Python) :**
        *  statsng (Pro) : Ajout du calcul sur les ressources et les composants pour la statistique MTBF ([#1746](https://git.canopsis.net/canopsis/canopsis/issues/1746))
        *  statsng (Pro) : Correction des statistiques `ack_time_sla` et `resolve_time_sla` afin qu'elles prennent en compte les alarmes n'ayant pas encore eu d'Ack ou n'étant pas encore résolues ([#1748](https://git.canopsis.net/canopsis/canopsis/issues/1748))
*  **Bac à alarmes :**
    *  Correction de l'API utilisée par la recherche avancée du Bac à alarmes ([#1780](https://git.canopsis.net/canopsis/canopsis/issues/1780))
*  **Météo des services :**
    *  Correction de la remise à zéro des compteurs de statistiques d'éléments OK/KO dans la Météo, en début et en fin de plage ([!867](https://git.canopsis.net/canopsis/canopsis/merge_requests/867/diffs))
*  **UI :**
    *  **Droits :**
        *  Amélioration de l’application du droit de listage de filtres
    *  **Explorateur de contexte :**
        *  Correction de la prise en charge des *patterns* imbriqués dans l'éditeur simple ([#1772](https://git.canopsis.net/canopsis/canopsis/issues/1772))
    *  **Statistiques :**
        *  Ajout de la possibilité de modifier l'ordre des colonnes du Tableau de statistiques ([#1764](https://git.canopsis.net/canopsis/canopsis/issues/1764))
        *  Amélioration du format d'affichage des durées apparaissant au survol d'une courbe de statistiques ([#1766](https://git.canopsis.net/canopsis/canopsis/issues/1766))
        *  Amélioration de la clarté des courbes qui se chevauchent ([#1765](https://git.canopsis.net/canopsis/canopsis/issues/1765))
        *  Amélioration de l'affichage de certaines courbes de statistiques, dont l'interprétation pouvait être ambigüe ([#1767](https://git.canopsis.net/canopsis/canopsis/issues/1767))
        *  Correction d'une ambiguïté au niveau de la présentation des dates de début et de fin dans les histogrammes ([#1759](https://git.canopsis.net/canopsis/canopsis/issues/1759))
        *  Correction de l'affichage de certaines lignes d'annotation qui n'apparaissaient pas dans certains cas d'utilisation de l'histogramme et des courbes ([#1750](https://git.canopsis.net/canopsis/canopsis/issues/1750))
        *  Correction du titre de la modale du diagramme de Pareto ([#1762](https://git.canopsis.net/canopsis/canopsis/issues/1762))
    *  **Widgets :**
        *  Ajout de la possibilité de cloner un widget ([#1675](https://git.canopsis.net/canopsis/canopsis/issues/1675))
        *  Uniformisation de l'ordre dans lequel sont présentés les réglages de certains widgets similaires ([#1761](https://git.canopsis.net/canopsis/canopsis/issues/1761))
