# Notes de version Canopsis 3.23.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.23.0 a été publié le 5 juillet 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

**Attention :** Sur Debian 9, le paquet Canopsis Community 3.23.0 nécessite d'activer les dépôts `non-free` de Debian. Ceci n'est plus nécessaire à partir de [Canopsis 3.25.0](3.25.0.md).

### Ajout d’un nouveau moteur `watcher`

Cette procédure ne doit être exécutée qu'en **environnement Go**, c'est-à-dire lorsque les moteurs `axe` et `che` sont déjà présents.

La gestion des *watchers*, notamment nécessaire pour les Météos, a été déplacée du moteur `axe` vers un nouveau moteur `watcher` dédié.

`axe` continue à assurer ses autres tâches et ne doit pas être désactivé.

`watcher` fait dorénavant partie des moteurs activés par défaut en environnement Go. Sauf indication contraire, ce moteur doit **obligatoirement** être lancé en environnement Go, même si votre installation n'utilise pas les fonctionnalités des *watchers*.

Le procédé d'activation de ce nouveau moteur diffère en fonction de [votre méthode d'installation de Canopsis](../guide-administration/installation/index.md).

**En installation par paquets**, le nouveau moteur doit être activé à l'aide de la commande `systemctl enable canopsis-engine-go@engine-watcher`, puis démarré avec la commande `systemctl start canopsis-engine-go@engine-watcher`. La manipulation est alors terminée.

**En environnement Docker**, une nouvelle image doit être ajoutée. La syntaxe suivante, basée sur Docker-Compose, peut servir de référence :

```yaml
  watcher:
    image: canopsis/engine-watcher:${CANOPSIS_GO_IMAGE_TAG}
    env_file:
      - compose.env
    restart: unless-stopped
```

Puis, exécuter `docker-compose up -d` pour démarrer ce nouveau moteur en environnement Docker.

### Migration de l'option `-autoRecomputeWatchers`

Si vous utilisiez l'option `-autoRecomputeWatchers` dans le moteur `axe`, cette option doit maintenant être passée en paramètre au nouveau moteur `watcher`.

Il n'y a pas d'autre action à réaliser pour mettre Canopsis à jour d'une version 3.22 à une version 3.23.

## Changements entre Canopsis 3.22.0 et 3.23.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Ajout d'exemples de filtres d'entités dans [la documentation des cas d'usage des pbehaviors](../guide-utilisation/cas-d-usage/comportements_periodiques.md) ([#1724](https://git.canopsis.net/canopsis/canopsis/issues/1724))
    *  Ajout d'une documentation sur le [nettoyage de la base MongoDB](../guide-administration/administration-avancee/actions-base-donnees.md) ([#1787](https://git.canopsis.net/canopsis/canopsis/issues/1787))
    *  Modification de la documentation des moteurs, pour prendre en compte le nouveau moteur `watcher`
*  **Images Docker / paquets :**
    *  canoctl : Correction de divers problèmes avec l’outil de déploiement `canoctl` dans certaines configurations Debian ([#925](https://git.canopsis.net/canopsis/canopsis/issues/925))
    *  Docker : Correction d'un problème de compatibilité des fichiers `.env` avec les versions de Docker-Compose 1.24.0 et supérieures ([#1580](https://git.canopsis.net/canopsis/canopsis/issues/1580))
    *  Docker : les images de `canopsis` et `canopsis-cat` peuvent maintenant être préparées depuis un système hôte macOS ([#1484](https://git.canopsis.net/canopsis/canopsis/issues/1484))
    *  Python : Retour de la bibliothèque Python `amqp-2.5.0` vers `amqp-2.4.2`, la nouvelle version ayant des problèmes de compatibilité sur l'ancien Python de CentOS 7, dans certains cas d'utilisation (notamment pour le moteur `snmp` de Pro) ([#1775](https://git.canopsis.net/canopsis/canopsis/issues/1775))
    *  Moteurs Go : les moteurs Go des images et paquets officiels sont maintenant compilés avec des informations de débogage et une possibilité de *profiling*, afin d'améliorer la qualité des rapports de bug ([#117](https://git.canopsis.net/canopsis/go-engines/issues/117), [#115](https://git.canopsis.net/canopsis/go-engines/issues/115))
    *  Pro : Correction de dépendances système manquantes sur Debian et CentOS pour le bon fonctionnement du moteur `snmp` et l'envoi de MIB sur l'interface web ([#1773](https://git.canopsis.net/canopsis/canopsis/issues/1773))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout d'un nouveau moteur `watcher`, dédié aux fonctionnalités des *watchers*. Le moteur `axe` reste toujours nécessaire, mais ne réalisera plus cette tâche. Voir plus haut pour la procédure d'activation du nouveau moteur ([#116](https://git.canopsis.net/canopsis/go-engines/issues/116))
        *  Ajout d'un avertissement lors de l'utilisation de TicketService, obsolète et remplacé par les Webhooks ([#118](https://git.canopsis.net/canopsis/go-engines/issues/118))
        *  webhooks : Ajout d'un trigger `declareticket` dans les Webhooks ([#118](https://git.canopsis.net/canopsis/go-engines/issues/118))
    *  **Moteurs ancienne génération (Python) :**
        *  Amélioration du mécanisme de reconnexion à RabbitMQ ([!984](https://git.canopsis.net/canopsis/canopsis/merge_requests/984))
*  **UI :**
    *  Ajout de la possibilité de supprimer plusieurs webhooks et plusieurs règles d'event-filter en une seule fois depuis l'interface ([#1685](https://git.canopsis.net/canopsis/canopsis/issues/1685))
    *  Ajout d'une redirection vers la page de connexion, lorsqu'une API Canopsis retourne un code d'erreur HTTP 401 (*Accès non autorisé*) ([#1758](https://git.canopsis.net/canopsis/canopsis/issues/1758))
    *  Ajout de la prise en charge des valeurs `null` et `""` (chaîne vide) dans l'Éditeur de *patterns* ([#1797](https://git.canopsis.net/canopsis/canopsis/issues/1797))
    *  **Statistiques :**
        *  Ajout de la possibilité d'afficher le mois courant, lors d'un affichage par mois ([#1760](https://git.canopsis.net/canopsis/canopsis/issues/1760))
        *  Amélioration de la gestion d'erreurs dans les widgets de statistiques ([#1754](https://git.canopsis.net/canopsis/canopsis/issues/1754))
