# Notes de version Canopsis 3.24.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.24.0 a été publié le 18 juillet 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

**Attention :** Sur Debian 9, les paquets Canopsis Community et Canopsis Pro 3.24.0 nécessitent d'activer les dépôts `non-free` de Debian. Ceci n'est plus nécessaire pour le paquet Canopsis Community à partir de [Canopsis 3.25.0](3.25.0.md).

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.23 à une version 3.24.

## Changements entre Canopsis 3.23.0 et 3.24.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Correction de la compilation des composants frontend de Canopsis, afin d'utiliser `yarn` au lieu de `npm` ([#1836](https://git.canopsis.net/canopsis/canopsis/issues/1836))
    *  Moteurs Go (paquets) : Correction de la commande `/opt/canopsis/bin/init` dans les paquets Go sur Debian et CentOS, en ajoutant son fichier de configuration `initialisation.toml` manquant dans les paquets ([#1816](https://git.canopsis.net/canopsis/canopsis/issues/1816))
    *  Moteurs Go (paquets) : Correction des paquets Go sur CentOS, afin qu'ils disposent toujours des informations de debug apportées par [la version 3.23.0](3.23.0.md) ([#117](https://git.canopsis.net/canopsis/go-engines/issues/117))
    *  canoctl : Correction du lien de téléchargement de la dépendance RabbitMQ lors d'un `canoctl deploy` ([#1818](https://git.canopsis.net/canopsis/canopsis/issues/1818))
*  **API :**
    *  `get-alarm` : Correction de la recherche simple sur les champs `infos` ([#1822](https://git.canopsis.net/canopsis/canopsis/issues/1822))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  webhooks (plugin Pro) : Ajout des fonctions `formattedDate` et `replace` aux webhooks ([#1819](https://git.canopsis.net/canopsis/canopsis/issues/1819))
        *  axe : Correction du calcul de `last_update_date`, régression introduite dans Canopsis 3.16.0 ([#122](https://git.canopsis.net/canopsis/go-engines/issues/122))
*  **UI :**
    *  Ajout d'une interface permettant de configurer le logo et la description de l'interface, ainsi que le pied-de-page de la page de connexion ([#1593](https://git.canopsis.net/canopsis/canopsis/issues/1593))
    *  Correction de la fermeture des modales déjà ouvertes lorsqu'elles redirigent vers une autre page de l'interface Canopsis ([#1777](https://git.canopsis.net/canopsis/canopsis/issues/1777))
    *  **Bac à alarmes :**
        *  Ajout de l'intitulé « Actions » en haut de la colonne regroupant les différents boutons d'action dans les Bacs à alarmes ([#1820](https://git.canopsis.net/canopsis/canopsis/issues/1820))
        *  Ajout de actions « Snooze », « Comportement périodique » et « Lister un comportement périodique » sur toutes les alarmes, qu'elles aient un Ack ou non ([#1828](https://git.canopsis.net/canopsis/canopsis/issues/1828))
        *  Ajout d'un sélecteur de dates dynamiques pour la fonctionnalité « Suivi personnalisé » ([#1705](https://git.canopsis.net/canopsis/canopsis/issues/1705))
        *  Ajout d'un réglage permettant de décider si un message doit être envoyé lors d'un Ack rapide ([#1827](https://git.canopsis.net/canopsis/canopsis/issues/1827))
        *  Amélioration de l'icône « Plus d'infos » du Bac à alarmes ([#1826](https://git.canopsis.net/canopsis/canopsis/issues/1826))
    *  **Météo des services :**
        *  Correction d'un problème d'affichage de certains templates dans les tuiles de Météo ([#1837](https://git.canopsis.net/canopsis/canopsis/issues/1837))
        *  Changement de la couleur de l'entête de la modale « Plus d'infos » : elle dépend maintenant de la criticité du watcher ([#1800](https://git.canopsis.net/canopsis/canopsis/issues/1800))
    *  **Statistiques :**
        *  Ajout de *helpers* sur les réglages des statistiques ([#1769](https://git.canopsis.net/canopsis/canopsis/issues/1769))
        *  Correction de l'icône affichée dans les statistiques de tendances ([#1830](https://git.canopsis.net/canopsis/canopsis/issues/1830))
