# Notes de version Canopsis 3.25.0

!!! information
    Les prochaines versions de Canopsis ne seront prochainement plus compatibles avec Debian 8, sorti début 2015. Pensez à migrer vers un environnement supporté, tel que Debian 9, CentOS 7 ou encore une installation Docker.

Canopsis 3.25.0 a été publié le 2 août 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

**Attention :** Sur Debian 9, le paquet Canopsis Pro 3.25.0 nécessite d'activer les dépôts `non-free` de Debian.

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.24 à une version 3.25.

## Changements entre Canopsis 3.24.0 et 3.25.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Ajout d'une documentation sur l'API d'import ([#1861](https://git.canopsis.net/canopsis/canopsis/issues/1861))
    *  Ajout de documentation sur les champs de date pouvant être appliqués aux objets `CpsTime`, dans la [documentation des templates Go](../guide-utilisation/templates-go/index.md) ([#1848](https://git.canopsis.net/canopsis/canopsis/issues/1848))
*  **Images Docker / paquets :**
    *  Uniformisation de la version de Go utilisée dans les images Docker et dans les paquets Debian et CentOS ([#1841](https://git.canopsis.net/canopsis/canopsis/issues/1841))
    *  Correction des dépendances du paquet `canopsis-core` sur Debian : Canopsis Community 3.23.0 et 3.24.0 avaient une dépendance inutile sur le paquet `snmp-mibs-downloader`, qui n'est disponible que dans les dépôts `non-free` de Debian. Ceci n'est désormais nécessaire sur Debian que pour les paquets Canopsis Pro ([#1840](https://git.canopsis.net/canopsis/canopsis/issues/1840))
    *  Pro : Ajout de paquets `canopsis-engines-go-cat` pour Debian 9 et CentOS 7. Ces plugins n'existaient auparavant que dans les images Docker Pro ([#1842](https://git.canopsis.net/canopsis/canopsis/issues/1842))
    *  Amélioration de la portabilité des Makefiles utilisés pour les images Docker, ce qui permet de compiler les moteurs Go depuis un système hôte macOS ([#123](https://git.canopsis.net/canopsis/go-engines/issues/123))
*  **API :**
    *  importctx : Correction de la fonctionnalité *create* et ajout de la fonctionnalité *set* dans l'API d'import ([#1523](https://git.canopsis.net/canopsis/canopsis/issues/1523))
    *  pbehavior : Correction d'une `TypeError` lorsqu'un pbehavior commence à une date future. Ceci pouvait notamment causer des erreurs 500 dans la Météo ([#1831](https://git.canopsis.net/canopsis/canopsis/issues/1831))
    *  service-weather : refonte et amélioration significative des performances de la route service-weather, ce qui améliore sensiblement le rendu des tuiles de Météo dans l'interface ([#1723](https://git.canopsis.net/canopsis/canopsis/issues/1723))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Tous les moteurs Go sont maintenant compilés avec Go 1.12 ([#1855](https://git.canopsis.net/canopsis/canopsis/issues/1855))
        *  Ajout de la gestion des `long_output` des moteurs Python dans les moteurs Go ([#124](https://git.canopsis.net/canopsis/go-engines/issues/124))
*  **UI :**
    *  Ajout de la possibilité de supprimer un groupe vide, dans les menus ([#1835](https://git.canopsis.net/canopsis/canopsis/issues/1835))
    *  Correction de l'affichage des infobulles, pour qu'elles n'empêchent plus sur le clic sur certains boutons ([#1834](https://git.canopsis.net/canopsis/canopsis/issues/1834))
    *  **Administration :**
        *  Préférences : Ajout de la possibilité de configurer la langue par défaut de l'interface pour tous les utilisateurs ([#1712](https://git.canopsis.net/canopsis/canopsis/issues/1712))
        *  Gestion des rôles et des utilisateurs : Ajout d'un champ de recherche dans la liste des rôles et utilisateurs existants ([#1821](https://git.canopsis.net/canopsis/canopsis/issues/1821))
        *  Gestion des rôles : Correction d'une erreur lors de la suppression en masse de rôles ([#1838](https://git.canopsis.net/canopsis/canopsis/issues/1838))
    *  **Bac à alarmes :**
        *  Ajout d'une option de configuration de la largeur de la modale d'actions personnalisées ([#1854](https://git.canopsis.net/canopsis/canopsis/issues/1854))
        *  Modification de la modale de pose d'un acquittement : le champ « Numéro de ticket » n'est désormais plus obligatoire lors d'un clic sur « Acquitter et signaler un incident ». Si le champ a été rempli, une association de ticket sera déclenchée ; sinon il s'agira d'une déclaration de ticket sans numéro. Ceci correspond au précédent fonctionnement métier de l'UIv2 ([#1852](https://git.canopsis.net/canopsis/canopsis/issues/1852))
    *  **Météo des services :**
        *  Ajout d’un paramètre de limite du nombre de tuiles de Météo ([#1099](https://git.canopsis.net/canopsis/canopsis/issues/1099))
        *  Ajout d’un paramètre de tri sur les tuiles de Météo ([#1487](https://git.canopsis.net/canopsis/canopsis/issues/1487))
    *  **CRUD Webhooks :**
        *  Correction d'une erreur lors de la suppression de Webhooks depuis l'interface ([#1849](https://git.canopsis.net/canopsis/canopsis/issues/1849))
