# Notes de version Canopsis 3.28.0

!!! information
    Canopsis 3.28.0 ne prend plus en charge Debian 8 (*jessie*).

    Les environnements pris en charge sont dorénavant **Debian 9**, **CentOS 7** et **Docker**.

Canopsis 3.28.0 a été publié le 12 septembre 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.27 à une version 3.28.

## Changements entre Canopsis 3.27.0 et 3.28.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Suppression de la compatibilité Debian 8 ([#1480](https://git.canopsis.net/canopsis/canopsis/issues/1480))
    *  Pro : Ajout d'une dépendance explicite lors de l'installation du paquet `canopsis-engines-go-cat` sur Debian et CentOS : le paquet `canopsis-engines-go` à une version *identique* est nécessaire ([#1926](https://git.canopsis.net/canopsis/canopsis/issues/1926))
    *  Mise à jour de Go 1.12.7 vers Go 1.12.9 ([voir le ChangeLog officiel](https://golang.org/doc/devel/release.html#go1.12)) pour les moteurs Go inclus dans les paquets et dans les images Docker ([#130](https://git.canopsis.net/canopsis/go-engines/issues/130))
    *  Pro : Correction d'un problème de compatibilité du moteur `snmp` sur CentOS 7, dû à un bug non corrigé dans l'ancienne version de Python 2.7 proposée par CentOS ([#1791](https://git.canopsis.net/canopsis/canopsis/issues/1791))
*  **Documentation :**
    *  Améliorations importantes de la documentation officielle, notamment au niveau des API du Guide de développement, des moteurs du Guide d'administration, et de la documentation sur les interconnexions ([#1889](https://git.canopsis.net/canopsis/canopsis/issues/1889), [#1899](https://git.canopsis.net/canopsis/canopsis/issues/1899), [#1923](https://git.canopsis.net/canopsis/canopsis/issues/1923), [#1924](https://git.canopsis.net/canopsis/canopsis/issues/1924))
    *  Ajout d'une documentation sur l'authentification CAS ([#1779](https://git.canopsis.net/canopsis/canopsis/issues/1779))
    *  Correction des requêtes d'API pour la documentation du moteur Action ([#1922](https://git.canopsis.net/canopsis/canopsis/issues/1922))
*  **UI :**
    *  **Administration :**
        *  Correction de la pagination de la page d'administration des rôles, lorsque la modale de création est ouverte ([#1909](https://git.canopsis.net/canopsis/canopsis/issues/1909))
    *  **CRUD event-filter :**
        *  Ajout de la possibilité d'éditer une action dans l'event-filter, en plus de la possibilité d'ajout et de suppression ([#1867](https://git.canopsis.net/canopsis/canopsis/issues/1867))
    *  **CRUD heartbeats :**
        *  Ajout d'un nouveau CRUD permettant d'ajouter et de supprimer des heartbeats depuis l'interface web ([#1890](https://git.canopsis.net/canopsis/canopsis/issues/1890))
    *  **Bac à alarmes :**
        *  Ajout de la possibilité de créer plusieurs filtres ayant le même contenu mais portant un nom différent ([#1915](https://git.canopsis.net/canopsis/canopsis/issues/1915))
        *  Correction des opérateurs « Ne contient pas », « Ne commence pas par », « Ne termine pas par » dans l'éditeur de filtres ([#1917](https://git.canopsis.net/canopsis/canopsis/issues/1917))
    *  **Statistiques :**
        *  Correction du tri des colonnes des tableaux de statistiques, lorsque des cellules ne comportent pas de données ([#1823](https://git.canopsis.net/canopsis/canopsis/issues/1823))
