# Notes de version Canopsis 3.29.0

Canopsis 3.29.0 a été publié le 27 septembre 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Suppression de TicketAPI

La fonctionnalité TicketAPI, obsolète depuis [Canopsis 3.23.0](3.23.0.md) a été totalement supprimée.

Si vous utilisez le moteur Go `axe` (en environnement Docker ou en installation par paquets), vous devez vérifier que celui-ci n'est plus lancé avec l'option `-autoDeclareTickets`, qui n'existe plus.

Dans une installation par paquets, lancez aussi la commande suivante pour vous assurer que le service `ticketapi` ne sera plus chargé par Canopsis après cette mise à jour :
```sh
sed -i.bak '/ticketapi/d' /opt/canopsis/etc/webserver.conf
```

Il n'y a pas d'autre action à réaliser pour mettre Canopsis à jour d'une version 3.28 à une version 3.29.

## Changements entre Canopsis 3.28.0 et 3.29.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Passage du conteneur `canopsis/init` sur DockerHub en public ([#1930](https://git.canopsis.net/canopsis/canopsis/issues/1930))
*  **Documentation :**
    *  Correction de liens eronnés (erreurs 404), apparus lors de la refonte de [doc.canopsis.net](https://doc.canopsis.net) ([#1955](https://git.canopsis.net/canopsis/canopsis/issues/1955))
    *  Correction du terme `resource` dans certains exemples d'appels aux API ([#1688](https://git.canopsis.net/canopsis/canopsis/issues/1688))
*  **API :**
    *  pbehavior : Correction de la suppression accidentelle des champs `comments` et `timezone` existants, lors d'un `PUT` sur l'API `/api/v2/pbehavior/` ([#1952](https://git.canopsis.net/canopsis/canopsis/issues/1952))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Passage des moteurs Go en open-source. Les [Webhooks - liens obsolète]() et [les plugins d'enrichissement de `che` - lien obsolète]() restent des composants Pro ([#131](https://git.canopsis.net/canopsis/go-engines/issues/131))
        *  Suppression de la fonctionnalité TicketAPI, obsolète et remplacée par les Webhooks depuis [Canopsis 3.23.0](3.23.0.md) ([#119](https://git.canopsis.net/canopsis/go-engines/issues/119))
    *  **Moteurs ancienne génération (Python) :**
        *  alarm-filter : Ajout d'un champ `postpone_if_active_pbehavior` (`false` par défaut), permettant de reporter des actions de l'alarm-filter sur une alarme lorsqu'un pbehavior l'affecte ([#1462](https://git.canopsis.net/canopsis/canopsis/issues/1462))
*  **UI :**
    *  Ajout de la possibilité de cloner un onglet dans une autre vue ([#1896](https://git.canopsis.net/canopsis/canopsis/issues/1896))
    *  Correction de l'affichage des fonctionnalités propres aux environnements Go ou Pro : elles ne sont désormais plus affichées en environnement Python ou Community ([#1901](https://git.canopsis.net/canopsis/canopsis/issues/1901))
    *  Correction d'intitulés manquants dans la modale « Ajouter une info popup » ([#1954](https://git.canopsis.net/canopsis/canopsis/issues/1954))
    *  **CRUD Actions :**
        *  Ajout d'une interface de gestion des [Actions - lien obsolète](), lorsque Canopsis est configuré pour utiliser un environnement Go ([#1891](https://git.canopsis.net/canopsis/canopsis/issues/1891))
    *  **CRUD Heartbeats :**
        *  Correction des droits d'accès à l'interface de gestion des Heartbeats ([#1927](https://git.canopsis.net/canopsis/canopsis/issues/1927), [#1951](https://git.canopsis.net/canopsis/canopsis/issues/1951))
        *  Correction de la fonctionnalité de suppression des Heartbeats depuis l'interface ([#1929](https://git.canopsis.net/canopsis/canopsis/issues/1929))
        *  Correction des intitulés de champs affichés dans le formulaire de gestion des Heartbeats ([#1928](https://git.canopsis.net/canopsis/canopsis/issues/1928))
