# Notes de version Canopsis 3.30.0

Canopsis 3.30.0 a été publié le 11 octobre 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Météos reposant sur le moteur `engine-stat`

La procédure suivante n'est nécessaire qu'avec les Météos basées sur le moteur Go `engine-stat`. Les environnements sans Météo ou utilisant le moteur `engine-statsng` n'en ont pas besoin.

Vous devez vous [connecter à MongoDB](../guide-administration/administration-avancee/connexion-a-la-base-de-donnees.md) et exécuter la requête suivante, afin de corriger le format d'affichage des éventuels champs `last_ko` et `last_event` :
```js
db.views.find().forEach(function(view){
    view.tabs.forEach(function(tab) {
       tab.rows.forEach(function(row) {
           row.widgets.forEach(function(widget) {
               if (widget.type == "ServiceWeather") {
                   widget.parameters.modalTemplate = widget.parameters.modalTemplate.replace("entity.stats.last_ko", "timestamp entity.stats.last_ko")
                   widget.parameters.modalTemplate = widget.parameters.modalTemplate.replace("entity.stats.last_event", "timestamp entity.stats.last_event")
                   widget.parameters.entityTemplate = widget.parameters.entityTemplate.replace("entity.stats.last_ko", "timestamp entity.stats.last_ko")
                   widget.parameters.entityTemplate = widget.parameters.entityTemplate.replace("entity.stats.last_event", "timestamp entity.stats.last_event")
                   widget.parameters.blockTemplate = widget.parameters.blockTemplate.replace("entity.stats.last_ko", "timestamp entity.stats.last_ko")
                   widget.parameters.blockTemplate = widget.parameters.blockTemplate.replace("entity.stats.last_event", "timestamp entity.stats.last_event")
               }
           });
       });
    });
    db.views.save(view);
})
```

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.29 à une version 3.30.

## Changements entre Canopsis 3.29.0 et 3.30.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Pro : Correction de la publication des changements relatifs à `email2canopsis` de [Canopsis 3.11.0](3.11.0.md) et de [Canopsis 3.21.0](3.21.0.md) dans l'image Docker `email2canopsis` (fonctionnalités `trim` et `leavemails`)
*  **Documentation :**
    *  Amélioration de la documentation d'installation (notamment Docker) et de mise à jour de Canopsis ([#1039](https://git.canopsis.net/canopsis/canopsis/issues/1039))
*  **API :**
    *  Service Weather : Correction d'une erreur possible lorsqu'un *pbehavior* n'a pas de règle de récurrence ([#1962](https://git.canopsis.net/canopsis/canopsis/issues/1962))
    *  Service Weather : Modification du format des dates `last_ko` et `last_event` issues du moteur `engine-stat`, pour qu'elles puissent être appliquées à la fonction `{{timestamp}}` des templates de Météo, afin de les afficher dans le fuseau horaire du navigateur ([#1972](https://git.canopsis.net/canopsis/canopsis/issues/1972))
*  **Méthodes d'authentification :**
    *  LDAP : ajout d'un attribut `username_attr` (cf. [documentation LDAP](../guide-administration/administration-avancee/methodes-authentification-avancees.md#configuration-de-ldap)), permettant d'enregistrer l'identifiant d'utilisateur LDAP tel qu'il est décrit dans l'annuaire LDAP, et non pas de la façon dont l'utilisateur l'a saisi dans le formulaire de connexion. Ceci permet notamment d'uniformiser les variantes de casse avec lesquelles les utilisateurs peuvent s'authentifier ([#1932](https://git.canopsis.net/canopsis/canopsis/issues/1932))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Amélioration significative des performances des moteurs Go, dans l'encodage et le décodage des évènements JSON volumineux ([#132](https://git.canopsis.net/canopsis/go-engines/issues/132))
*  **UI :**
    *  Correction de l'affichage des widgets liés aux fonctionnalités de Pro : certains widgets dépendants de fonctionnalités Pro ne seront plus affichés par erreur en édition Community ([#1970](https://git.canopsis.net/canopsis/canopsis/issues/1970))
    *  **Bac à alarmes :**
        *  Correction d'une régression du formulaire de pose d'un Snooze, introduite dans Canopsis 3.29.0 ([#1964](https://git.canopsis.net/canopsis/canopsis/issues/1964))
    *  **Explorateur de contexte :**
        *  Correction de l'affichage des onglets « Pbehaviors », « Infos » et « Impacts/depends » dans l'Explorateur de contexte ([#1963](https://git.canopsis.net/canopsis/canopsis/issues/1963))
    *  **CRUD Action :**
        *  Correction des champs de commentaire et de dates d'exclusion dans le formulaires des pbehaviors ([#1973](https://git.canopsis.net/canopsis/canopsis/issues/1973))
    *  **CRUD SNMP :**
        *  Correction des conditions d'affichage de l'interface de configuration SNMP, afin qu'elle soit disponible en environnement Go et Python ([#1971](https://git.canopsis.net/canopsis/canopsis/issues/1971))
