# Notes de version Canopsis 3.31.0

Canopsis 3.31.0 a été publié le 28 octobre 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Désactivation du moteur `engine-stat` Go

Le moteur Go `engine-stat` (à ne pas confondre avec le moteur Python `statsng`) n'est plus maintenu et n'est plus activé dans les nouvelles installations.

À moins que vous ne souhaitiez continuer à l'utiliser pour sa fonctionnalité de compteurs OK/KO sur les Météos, vous pouvez dorénavant le supprimer à l'aide des commandes suivantes :

```sh
systemctl stop canopsis-engine-go@engine-stat
systemctl disable canopsis-engine-go@engine-stat
```

Puis, [connectez-vous à l'interface web RabbitMQ](../guide-administration/installation/premiere-connexion.md#interface-web-rabbitmq) et supprimez tout *binding* et toute file référençant `Engine_stat`.

### Désactivation du moteur `task_mail` Python

Le moteur `task_mail` est maintenant considéré comme déprécié et n'est plus activé dans les nouvelles installations. Il est plutôt recommandé d'utiliser le [mécanisme des Webhooks] - lien obsolète() vers un service d'envoi d'emails.

Dans le cadre d'une mise à jour, vous pouvez avoir besoin d'exécuter les commandes suivantes pour arrêter ce moteur :

```sh
systemctl stop canopsis-engine@task_mail-task_mail
systemctl disable canopsis-engine@task_mail-task_mail
```

En installation Docker, veillez à supprimer toute référence au moteur `task_mail`.

**À l'inverse**, si vous n'êtes pas encore en mesure de migrer vers les Webhooks, le moteur peut être réactivé à l'aide des commandes suivantes :

```sh
echo "[engine:task_mail]" >> /opt/canopsis/etc/amqp2engines.conf
systemctl enable canopsis-engine@task_mail-task_mail
systemctl start canopsis-engine@task_mail-task_mail
```

### Nouveaux fichiers de configuration pour les moteurs Go en installation par paquets

Si vous utilisez des moteurs Go (`che`, `axe`, …) dans le cadre d'une installation par paquets, la configuration de ses variables d'environnement se fait maintenant dans un nouveau fichier `/opt/canopsis/etc/go-engines-vars.conf`, et non plus directement dans les fichiers de services systemd.

Ainsi, toutes les variables d'environnement que vous auriez pu déclarer dans un fichier de type `/etc/systemd/system/canopsis-engine-go@.service.d/all-go-engines.conf` :

```ini
[Service]
Environment="CPS_MONGO_URL=mongodb://cpsmongo:canopsis@localhost:27017/canopsis"
Environment="CPS_INFLUX_URL=http://cpsinflux:canopsis@localhost:8086/canopsis"
Environment="CPS_AMQP_URL=amqp://cpsrabbit:canopsis@localhost:5672/canopsis"
Environment="CPS_REDIS_URL=redis://localhost:6379/0"
```

doivent maintenant être **supprimées** de ce fichier, et **ajoutées** dans un fichier `/opt/canopsis/etc/go-engines-vars.conf`, en suivant le format suivant :

```sh
CPS_MONGO_URL="mongodb://cpsmongo:canopsis@localhost:27017/canopsis"
CPS_INFLUX_URL="http://cpsinflux:canopsis@localhost:8086/canopsis"
CPS_AMQP_URL="amqp://cpsrabbit:canopsis@localhost:5672/canopsis"
CPS_REDIS_URL="redis://localhost:6379/0"
```

Seules les variables d'environnement propres aux moteurs Go doivent être migrées vers ce nouveau fichier.

Une fois que cela est fait, vous pouvez signaler à systemd de charger ses nouveaux fichiers de configuration :
```sh
systemctl daemon-reload
```

Il n'y a aucune autre action à réaliser pour mettre Canopsis à jour d'une version 3.30 à une version 3.31.

## Changements entre Canopsis 3.30.0 et 3.31.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Paquets : Ajout de la possibilité de [déployer un environnement Go en une seule commande](../guide-administration/installation/installation-paquets.md) dans une installation par paquets, avec `canoctl deploy-go` ([#1960](https://git.canopsis.net/canopsis/canopsis/issues/1960))
    *  Paquets : Ajout de fichiers de référence `initialisation.toml.example`, `amqp2engines-python.conf.example` et `amqp2engines-go.conf.example`, contenant la liste des moteurs recommandés par défaut, après chaque mise à jour ([#1960](https://git.canopsis.net/canopsis/canopsis/issues/1960))
    *  Paquets : Ajout d'un fichier `/opt/canopsis/etc/go-engines-vars.conf` regroupant toutes les variables d'environnement liées aux moteurs Go, dans une installation par paquets ([#139](https://git.canopsis.net/canopsis/go-engines/issues/139))
    *  Paquets : Mise à jour de la liste des moteurs activés par défaut dans une nouvelle installation Python ou Go, par rapport aux dernières évolutions du projet ([#1960](https://git.canopsis.net/canopsis/canopsis/issues/1960))
    *  Paquets : Réduction importante du nombre de dépendances nécessaires pour une installation sur CentOS 7 ([#1960](https://git.canopsis.net/canopsis/canopsis/issues/1960))
    *  Paquets : Mise à jour d'InfluxDB 1.5.4 vers InfluxDB 1.5.5, dans le cadre de nouvelles installations ([#1960](https://git.canopsis.net/canopsis/canopsis/issues/1960))
    *  Paquets : Mise à jour d'Ansible 2.4.4 vers Ansible 2.8.5, pour le playbook inclus dans `canoctl` ([#1960](https://git.canopsis.net/canopsis/canopsis/issues/1960))
*  **Documentation :**
    *  Ajout d'une [nouvelle documentation de connexion de Zabbix vers Canopsis](../interconnexions/Supervision/Zabbix.md) ([#1993](https://git.canopsis.net/canopsis/canopsis/issues/1993))
    *  Ajout d'[exemples de filtres](../guide-utilisation/interface/filtres/index.md) dans le Guide d'utilisation ([#1977](https://git.canopsis.net/canopsis/canopsis/issues/1977))
    *  Ajout de documentation sur [les options `leavemail` et `trim`](../interconnexions/Transport/Mail.md) ajoutées dans les dernières mises à jour du connecteur email2canopsis ([#1997](https://git.canopsis.net/canopsis/canopsis/issues/1997))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout d'un mécanisme de logs avancés dans l'ensemble des moteurs Go ([#128](https://git.canopsis.net/canopsis/go-engines/issues/128))
        *  axe : Correction des conditions de mise à jour du champ `output` : il n'est dorénavant mis à jour que par les évènements de type `check`, comme en environnement Python ([#133](https://git.canopsis.net/canopsis/go-engines/issues/133))
        *  stat : Désactivation du moteur `engine-stat` dans les nouvelles installations par défaut, et suppression du provisionnement de `Engine_stat` dans le fichier `initialisation.toml` ([#136](https://git.canopsis.net/canopsis/go-engines/issues/136))
        *  watcher : Refonte du moteur `engine-watcher`, afin d'en améliorer les performances ([#114](https://git.canopsis.net/canopsis/go-engines/issues/114))
        *  Modification du gestionnaire de dépendances utilisé dans le développement des moteurs Go ; passage de `glide` à `go mod` ([#84](https://git.canopsis.net/canopsis/go-engines/issues/84))
*  **UI :**
    *  **Traductions :**
        *  Corrections diverses dans la traduction française de l'interface ([#1991](https://git.canopsis.net/canopsis/canopsis/issues/1991))
