# Notes de version Canopsis 3.35.0

Canopsis 3.35.0 a été publié le 24 janvier 2020.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Ajout d'un reverse proxy Nginx

Un serveur Nginx est maintenant disponible à partir de Canopsis 3.35.0. Il permet de bénéficier d'un accès HTTP à Canopsis par le port 80 (port par défaut des navigateurs), [d'entêtes de sécurité CORS](https://developer.mozilla.org/fr/docs/Web/HTTP/CORS) et de quelques optimisations HTTP.

**En environnement Docker**, une nouvelle image, publiquement disponible sur DockerHub, peut être ajoutée à votre Docker Compose pour bénéficier de ce nouveau service :

```yaml
nginx:
  image: canopsis/nginx:${CANOPSIS_IMAGE_TAG}
  ports:
    - "80:80"
  env_file:
    - compose.env
  environment:
    - TARGET=http://webserver:8082
  depends_on:
    - "webserver"
  restart: unless-stopped
```

**En installation par paquets**, seule une **nouvelle** installation suivie d'un `canoctl deploy` ou d'un `canoctl deploy-go` permettra de bénéficier automatiquement de ce nouveau service.

Voyez [la documentation interne sur le reverse proxy Nginx](../guide-administration/administration-avancee/configuration-composants/reverse-proxy-nginx.md) pour plus d'informations sur les commandes à effectuer et sur les possibilités offertes par ce nouveau composant.

## Changements entre Canopsis 3.34.0 et 3.35.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Ajout d'un *reverse proxy* Nginx dans les nouvelles installations de Canopsis ([#2082](https://git.canopsis.net/canopsis/canopsis/issues/2082))
    *  Pro : Correction du fichier `/opt/canopsis/etc/initialisation-cat.toml.example` incorrect dans le paquet `canopsis-engines-go` sur Debian
    *  Mise en place d'entêtes HTTP CORS ([#2082](https://git.canopsis.net/canopsis/canopsis/issues/2082)), d'entêtes de cache ([#1676](https://git.canopsis.net/canopsis/canopsis/issues/1676)) et de compression des ressources HTTP ([#2095](https://git.canopsis.net/canopsis/canopsis/issues/2095)), lors de l'utilisation de ce reverse proxy
*  **Documentation :**
    *  Ajout de documentation sur les moteurs Pro [`engine-webhook` - lien obsolète]() et [`engine-dynamic-infos` - lien obsolète]() ajoutés dans la version [3.34.0](3.34.0.md) ([#2093](https://git.canopsis.net/canopsis/canopsis/issues/2093))
    *  Ajout d'une [documentation sur `EnableLastEventDate` - lien obsolète]() ([#1974](https://git.canopsis.net/canopsis/canopsis/issues/1974))
    *  Ajout d'une [documentation sur la personnalisation des types des colonnes](../guide-utilisation/interface/widgets/bac-a-alarmes/personnalisation-des-typages.md) ([#2070](https://git.canopsis.net/canopsis/canopsis/issues/2070))
    *  Ajout d'une [documentation sur le nouveau mécanisme de colonne de tri par défaut dans la Météo de services](../guide-utilisation/interface/widgets/meteo-des-services/index.md) ([#2033](https://git.canopsis.net/canopsis/canopsis/issues/2033))
    *  Ajout de documentation sur le nouveau mécanisme de [personnalisation des filtres](../guide-utilisation/interface/filtres/personnalisation_filtres.md) ([#2071](https://git.canopsis.net/canopsis/canopsis/issues/2071))
    *  Amélioration de la documentation sur la structure des évènements ([#1850](https://git.canopsis.net/canopsis/canopsis/issues/1850))
    *  Amélioration et mise à jour de la [documentation Logstash](../interconnexions/Transport/Logstash.md) ([#2098](https://git.canopsis.net/canopsis/canopsis/issues/2098))
    *  Refonte de la [documentation du reverse proxy HTTP](../guide-administration/administration-avancee/configuration-composants/reverse-proxy-nginx.md), suite à l'ajout de Nginx dans les nouvelles installations ([#2081](https://git.canopsis.net/canopsis/canopsis/issues/2081))
*  **Méthodes d'authentification :**
    *  LDAP : Correction d'un problème d'application du rôle utilisateur lors d'une connexion avec une variante de casse (attribut `username_attr`) ([#2105](https://git.canopsis.net/canopsis/canopsis/issues/2105))
*  **UI :**
    *  Ajout de la possibilité de configurer un rafraichissement périodique sur chaque vue ([#2091](https://git.canopsis.net/canopsis/canopsis/issues/2091))
    *  Correction de l'action du bouton « Ajouter un groupe » dans l'éditeur simple de certains formulaires ([#2073](https://git.canopsis.net/canopsis/canopsis/issues/2073), [#2066](https://git.canopsis.net/canopsis/canopsis/issues/2066))
    *  **Bac à alarmes :**
        *  Ajout de la possibilité de personnaliser les colonnes du Bac à alarmes ([#2070](https://git.canopsis.net/canopsis/canopsis/issues/2070))
        *  Correction de l'action d'association de tickets en masse, ajoutée dans la version précédente ([#2084](https://git.canopsis.net/canopsis/canopsis/issues/2084))
        *  Correction du format des filtres de pbehaviors générés à partir du Bac à alarmes ([#2065](https://git.canopsis.net/canopsis/canopsis/issues/2065), [#2064](https://git.canopsis.net/canopsis/canopsis/issues/2064))
        *  Correction de la liste des actions disponibles sur les alarmes cloturées ([#2068](https://git.canopsis.net/canopsis/canopsis/issues/2068))
    *  **Météo des services :**
        *  Ajout de la possibilité de trier la Météo sur n'importe quel champ d'un watcher ([#2033](https://git.canopsis.net/canopsis/canopsis/issues/2033))
        *  Correction de l'ouverture de la pop-up d'alarmes depuis les tuiles de Météo ([#2079](https://git.canopsis.net/canopsis/canopsis/issues/2079))
    *  **CRUD pbehavior :**
         *  Ajout de la possibilité de personnaliser les types de pbehaviors disponibles dans le formulaire de pose d'un pbehavior ([#2063](https://git.canopsis.net/canopsis/canopsis/issues/2063))
         *  Correction du nouveau formulaire de pose d'un pbehavior : un message d'erreur est à nouveau affiché lorsque les dates de début et de fin choisies par l'utilisateur ne sont pas exploitables, comme dans l'ancien formulaire ([#2104](https://git.canopsis.net/canopsis/canopsis/issues/2104))
    *  **Statistiques :**
         *  Ajout d'un système de gestion des sessions logicielles ([#2018](https://git.canopsis.net/canopsis/canopsis/issues/2018))
