# Notes de version Canopsis 3.36.0

Canopsis 3.36.0 a été publié le 7 février 2020.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Docker : ajout d'une image `canopsis/init-cat`

En environnement Docker Pro Go, une nouvelle image `canopsis/init-cat` a été ajoutée et vous permet de simplifier la section suivante de votre Docker Compose :

```yaml
init:
  image: canopsis/init:${CANOPSIS_IMAGE_TAG}
  depends_on:
    - "rabbitmq"
    - "mongodb"
  env_file:
    - compose.env
  volumes:
    - "./files/init/initialisation-cat.toml:/initialisation.toml"
```

qui peut maintenant être remplacée par :

```yaml
init:
  image: canopsis/init-cat:${CANOPSIS_IMAGE_TAG}
  depends_on:
    - "rabbitmq"
    - "mongodb"
  env_file:
    - compose.env
```

Il n'est ainsi plus nécessaire de surcharger à l'aide d'un volume le fichier `/initialisation.toml` fourni par défaut, sauf si vous utilisez d'autres moteurs Go que ceux activés par défaut.

## Changements entre Canopsis 3.35.0 et 3.36.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Images Docker / paquets :**
    *  Ajout d'une nouvelle image `canopsis/init-cat` en environnement Docker, afin de faciliter la création des moteurs Go dans l'édition Pro ([#2102](https://git.canopsis.net/canopsis/canopsis/issues/2102))
    *  Augmentation de la taille des requêtes HTTP permises dans le serveur Gunicorn, afin de permettre le chargement de certains filtres de taille importante dans le Bac à alarmes ([#1858](https://git.canopsis.net/canopsis/canopsis/issues/1858))
*  **Documentation :**
    *  Ajout d'une documentation sur le nouveau trigger `declareticketwebhook` ([#2126](https://git.canopsis.net/canopsis/canopsis/issues/2126))
    *  Ajout d'une documentation sur la nouvelle action `changestate` ([#2127](https://git.canopsis.net/canopsis/canopsis/issues/2127))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout d'une action `changestate` dans le moteur action ([#159](https://git.canopsis.net/canopsis/go-engines/issues/159))
        *  Pro : Ajout d'un trigger `declareticketwebhook` dans le moteur webhook ([#162](https://git.canopsis.net/canopsis/go-engines/issues/162))
*  **UI :**
    *  Ajout d'une vue « Explorateur de contexte » préconfigurée par défaut ([#2087](https://git.canopsis.net/canopsis/canopsis/issues/2087))
    *  Ajout du nombre de sessions actives dans le bandeau de la barre latérale ([#2092](https://git.canopsis.net/canopsis/canopsis/issues/2092))
    *  Ajout de l'édition (Community, Pro) et de la *stack* (Python, Go) Canopsis utilisée, lors du survol du numéro de version affiché dans le bandeau de la barre latérale ([#2111](https://git.canopsis.net/canopsis/canopsis/issues/2111))
    *  Ajout d'une unité de temps (minutes, secondes…) dans tous les champs de rafraîchissement périodique présents dans les formulaires ([#2120](https://git.canopsis.net/canopsis/canopsis/issues/2120))
    *  **Bac à alarmes :**
        *  Ajout d'une action « Historique », permettant de connaître l'historique des alarmes résolues dans un Bac à alarmes ([#2101](https://git.canopsis.net/canopsis/canopsis/issues/2101))
        *  Ajout d'une action de masse « Snooze » dans le Bac à alarmes ([#1957](https://git.canopsis.net/canopsis/canopsis/issues/1957))
        *  Correction de la simplification apportée en [3.35.0](3.35.0.md) sur les actions disponibles sur les alarmes résolues/en cours ([#2121](https://git.canopsis.net/canopsis/canopsis/issues/2121))
    *  **Météo des services :**
        *  Ajout d'une possibilité de configurer la pagination du widget de Météo ([#2143](https://git.canopsis.net/canopsis/canopsis/issues/2143))
        *  Amélioration de la performance d'affichage des watchers, lorsqu'il y a un nombre important d'entités ([#2119](https://git.canopsis.net/canopsis/canopsis/issues/2119))
    *  **CRUD pbehavior :**
        *  Ajout de la possibilité de gérer des pbehaviors depuis une modale de météo, et ajout du droit associé à cette fonctionnalité ([#2108](https://git.canopsis.net/canopsis/canopsis/issues/2108))
        *  Correction de la suppression des règles de récurrence (*rrule*) lors de l'édition d'un pbehavior ([#2115](https://git.canopsis.net/canopsis/canopsis/issues/2115))
