# Notes de version Canopsis 3.37.0

Canopsis 3.37.0 a été publié le 28 février 2020.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Docker : mise à jour de version des conteneurs de services externes

En environnement Docker, si vous utilisez InfluxDB, MongoDB, RabbitMQ ou Redis dans un des conteneurs suggérés par défaut, veuillez noter que les versions de référence ont été légèrement mises à jour vers les versions suivantes :

```ini
INFLUX_TAG=1.5.4-alpine
MONGO_TAG=3.6.17-xenial
RABBITMQ_TAG=3.7.24-management
REDIS_TAG=4.0.14-buster
```

Aucune mise à jour majeure n'a été réalisée sur ces éléments ; il s'agit simplement d'utiliser les dernières versions mineures de ces composants. La mise à jour de MongoDB peut apporter de légères améliorations de performances.

Vous pouvez faire correspondre le fichier `.env` adjoint à votre `docker-compose.yml` avec ces changements, et valider cette mise à jour (`docker-compose up -d`) dans un environnement maîtrisé.

### Moteurs Go : nouveau paramètre `CancelAutosolveDelay`

Le moteur `engine-axe` utilise dorénavant un [nouveau paramètre `CancelAutosolveDelay` - lien obsolète](), défini dans le fichier `/opt/canopsis/etc/default_configuration.toml`.

Dans le cadre d'une mise à jour d'un environnement Go, vous devez vous assurer que ce nouveau paramètre est bien présent (cette ligne ne sera absente que dans certains cas de mise à jour) :

```sh
grep -q ^CancelAutosolveDelay /opt/canopsis/etc/default_configuration.toml || echo 'CancelAutosolveDelay = "1h"' >> /opt/canopsis/etc/default_configuration.toml
```

Et redémarrez votre environnement Docker avec `docker-compose down` et `docker-compose up -d`.

## Changements entre Canopsis 3.36.0 et 3.37.0

### Ajout d'un mécanisme de *retry* dans les Webhooks (Pro)

Dans l'édition Pro, les [Webhooks - lien obsolète]() disposent maintenant d'un mécanisme de *retry*, permettant de renouveler l'appel à un Webhook si celui-ci a rencontré une erreur (code de réponse HTTP différent de `200`, erreur réseau, identifiants incorrects…).

Consultez la documentation pour connaître les détails d'utilisation de ce nouveau mécanisme.

### Moteurs Go : prise en compte des mises à jour du fichier `default_configuration.toml`

En environnement Go, le fichier `default_configuration.toml` comporte quelques variables permettant de configurer des comportements génériques des moteurs.

Canopsis 3.37.0 ajoute une nouvelle option de lancement `-ignoreDefaultTomlConfig` au moteur `engine-axe`. Lorsque le moteur est appelé avec cette option (désactivée par défaut), le fichier de configuration sera ignoré et seuls les paramètres présents en base seront pris en compte à chaque redémarrage.

Cette option n'est pas activée par défaut, et doit être explicitement ajoutée afin que ce nouveau comportement soit effectif.

Consultez la [documentation du moteur `engine-axe` - lien obsolète]() pour en savoir plus.

### Liste des modifications

*  **Images Docker / paquets :**
    *  Docker : Mise à jour de Nginx 1.17.7 vers 1.17.8, pour l'image `canopsis/nginx:3.37.0` ([#2150](https://git.canopsis.net/canopsis/canopsis/issues/2150))
*  **Documentation :**
    *  Mise à jour de la [documentation du moteur `engine-webhook` - lien obsolète]() afin de prendre en compte le nouveau mécanisme de *retry* ([#2146](https://git.canopsis.net/canopsis/canopsis/issues/2146))
    *  Mise à jour de la [documentation du moteur `engine-axe` - lien obsolète]() afin de documenter la nouvelle option de configuration `CancelAutosolveDelay` et de la nouvelle option de lancement `-ignoreDefaultTomlConfig` ([#2136](https://git.canopsis.net/canopsis/canopsis/issues/2136))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout d'opérateurs de regex avancés dans la directive `regex_match`, tels que les opérateurs de *backtracking* permettant de tester la non présence d'une chaîne de caractères ([#2114](https://git.canopsis.net/canopsis/canopsis/issues/2114))
        *  Ajout d'une possibilité de configurer le délai à partir duquel une alarme annulée est considérée comme résolue, à l'aide d'une nouvelle option `CancelAutosolveDelay` (cf. [documentation du moteur `engine-axe` - lien obsolète]()) ([#170](https://git.canopsis.net/canopsis/go-engines/issues/170))
        *  Ajout d'une nouvelle option de lancement `-ignoreDefaultTomlConfig` au moteur `engine-axe`, permettant d'empêcher la resynchronisation du fichier de configuration `default_configuration.toml` en base (voir plus haut) ([#179](https://git.canopsis.net/canopsis/go-engines/issues/179))
        *  Pro : Ajout d'un mécanisme de *retry* dans le moteur `engine-webhook` (voir plus haut) ([#2096](https://git.canopsis.net/canopsis/canopsis/issues/2096))
        *  Mise à jour de Go 1.12.12 vers [Go 1.12.16](https://golang.org/doc/devel/release.html#go1.12.minor), en installation par paquets ([#2149](https://git.canopsis.net/canopsis/canopsis/issues/2149))
*  **UI :**
    *  Ajout d'un système de tutoriel dans l'interface, permettant de présenter certaines des nouveautés apparaissant dans les mises à jour de Canopsis. Dans cette version, ce tutoriel présente la nouvelle icône permettant de déplier les alarmes (voir plus bas) ([#2124](https://git.canopsis.net/canopsis/canopsis/issues/2124))
    *  Correction de problèmes de pagination sur certains widgets ([#2183](https://git.canopsis.net/canopsis/canopsis/issues/2183), [#2162](https://git.canopsis.net/canopsis/canopsis/issues/2162))
    *  Correction de l'affichage du compteur de rafraîchissement périodique de vue introduit dans [Canopsis 3.35.0](3.35.0.md) ([#2147](https://git.canopsis.net/canopsis/canopsis/issues/2147), [#2133](https://git.canopsis.net/canopsis/canopsis/issues/2133))
    *  **Bac à alarmes :**
        *  Refonte de la *timeline* des alarmes du Bac à alarmes : l'alarme peut maintenant être dépliée à l'aide d'une icône dédiée à gauche de l'alarme ([#2116](https://git.canopsis.net/canopsis/canopsis/issues/2116)), et l'encart *Plus d'infos* est maintenant affiché à cet endroit ([#2138](https://git.canopsis.net/canopsis/canopsis/issues/2138)) avec une largeur configurable ([#2142](https://git.canopsis.net/canopsis/canopsis/issues/2142))
        *  Correction d'un problème d'affichage de longs commentaires de pbehaviors ([#2196](https://git.canopsis.net/canopsis/canopsis/issues/2196))
    *  **Météo des services :**
        *  Correction de la couleur des entêtes de modales de météo, qui correspondent à nouveau à la criticité des watchers concernés ([#2195](https://git.canopsis.net/canopsis/canopsis/issues/2195))
    *  **CRUD Webhooks :**
        *  Ajout de la prise en charge du nouveau mécanisme de *retry* dans l'interface de gestion des Webhooks ([#2096](https://git.canopsis.net/canopsis/canopsis/issues/2096))
* **Expérience utilisateur :**
    *  Ajout d'infobulles explicatives sur les boutons d'action du Bac à alarmes qui n'en disposaient pas ([#1684](https://git.canopsis.net/canopsis/canopsis/issues/1684))
    *  Ajout d'une possibilité de réorganisation du menu de gauche de l'interface à l'aide d'un simple glisser-déposer ([#2106](https://git.canopsis.net/canopsis/canopsis/issues/2106))
