# Notes de version Canopsis 3.38.0

Canopsis 3.38.0 a été publié le 19 mars 2020.

## Procédure de mise à jour

**Avant de réaliser la mise à jour** des paquets ou des images Docker, vous devez vous [connecter à MongoDB](../guide-administration/administration-avancee/connexion-a-la-base-de-donnees.md) et y exécuter les requêtes suivantes :

```js
db.default_rights.update({'_id' : 'root'},{ "$rename" : {'shadowpass' : 'shadowpasswd'}});
db.default_rights.update({'_id' : 'canopsis'},{ "$rename" : {'shadowpass' : 'shadowpasswd'}});
```

Suivre ensuite la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

!!! attention
    Veuillez noter que la [procédure de mise à jour vers Canopsis 3.37.0](3.37.0.md#moteurs-go-nouveau-parametre-cancelautosolvedelay) a été rétroactivement mise à jour, afin d'ajouter des prérequis pour la gestion du nouveau paramètre `CancelAutosolveDelay` utilisé par le moteur `engine-axe`, en environnement Go.

## Changements entre Canopsis 3.37.0 et 3.38.0

### Nouveaux helpers Handlebars

De nouveaux helpers Handlebars propres à Canopsis ont été ajoutés :

*  `{{duration}}`, afin d'afficher un nombre brut de secondes sous la forme d'une durée lisible ;
*  `{{state}}`, pour transformer un numéro de criticité Canopsis en une pastille de couleur ;
*  `{{request}}`, qui permet d'exécuter des requêtes vers des API JSON internes et externes, et de manipuler les résultats obtenus.

Consultez la [documentation des helpers Handlebars propres à Canopsis](../guide-utilisation/interface/helpers/index.md), qui a aussi été enrichie d'exemples et d'une meilleure présentation, afin d'en savoir plus.

### Amélioration de la plateforme de documentation

La plateforme [doc.canopsis.net](https://doc.canopsis.net) a été modifiée afin d'afficher la date de modification de chacun des documents, en bas de page. La présentation de certains documents a aussi été améliorée.

### Liste des modifications

*  **Images Docker / paquets :**
    *  Correction de la mise à jour du mot de passe des utilisateurs `root` et `canopsis` internes à Canopsis, qui ne sont dorénavant plus remis à leurs valeurs par défaut lorsqu'un administrateur de la plateforme a changé ces mots de passe, à condition de suivre la procédure de migration décrite plus haut ([#2217](https://git.canopsis.net/canopsis/canopsis/issues/2217))
    *  Docker : Synchronisation de la version de Go utilisée dans les images Docker avec celle utilisée dans les paquets, soit Go 1.12.16 ([#2149](https://git.canopsis.net/canopsis/canopsis/issues/2149))
*  **Documentation :**
    *  Amélioration et ajout de nouveaux éléments dans la [documentation des helpers Handlebars propres à Canopsis](../guide-utilisation/interface/helpers/index.md) ([#1507](https://git.canopsis.net/canopsis/canopsis/issues/1507))
    *  Mise à jour de la [documentation des actions du Bac à alarmes](../guide-utilisation/interface/widgets/bac-a-alarmes/actions.md), afin de prendre en compte la nouvelle action « Historique » ([!1427](https://git.canopsis.net/canopsis/canopsis/-/merge_requests/1427))
*  **API :**
    *  `user` : Correction d'une impossibilité de connexion dans certains cas d'utilisation ([#2249](https://git.canopsis.net/canopsis/canopsis/issues/2249))
*  **UI :**
    * Meilleure gestion des basses résolutions d'affichage, en dessous de 1250 pixels, ce qui corrige notamment des problèmes d'ouverture des menus avec [Canopsis 3.37.0](3.37.0.md) ([#2206](https://git.canopsis.net/canopsis/canopsis/issues/2206))
    * Ajout de nouveaux helpers Handlebars `{{duration}}`, `{{state}}` ([#2140](https://git.canopsis.net/canopsis/canopsis/issues/2140)) et `{{request}}` ([#2139](https://git.canopsis.net/canopsis/canopsis/issues/2139))
    *  **Bac à alarmes :**
        *  Ajout d'une prise en charge des secondes dans le Suivi personnalisé ([#2203](https://git.canopsis.net/canopsis/canopsis/issues/2203))
        *  Correction d'un bug au niveau des résultats affichés lors d'utilisation d'opérateurs `AND` et `OR` dans le mix de filtres ([#2259](https://git.canopsis.net/canopsis/canopsis/issues/2259))
        *  Correction de l'initialisation de la fonctionnalité Mix de filtres ([#2204](https://git.canopsis.net/canopsis/canopsis/issues/2204))
        *  Correction d'un problème de pagination sur les résultats affichés lorsqu'un nouveau filtre est appliqué sur un Bac à alarmes ([#2226](https://git.canopsis.net/canopsis/canopsis/issues/2226))
    *  **CRUD Actions :**
        *  Ajout d'une prise en charge des secondes dans les unités du CRUD Actions ([#2223](https://git.canopsis.net/canopsis/canopsis/issues/2223))
    *  **CRUD Dynamic Infos :**
        *  Correction de l'édition des Dynamic Infos, dans certains cas d'utilisation ([#2238](https://git.canopsis.net/canopsis/canopsis/issues/2238))
    *  **CRUD Event-filter :**
        *  Correction du défilement horizontal, lors de l'utilisation de longues règles ([#2230](https://git.canopsis.net/canopsis/canopsis/issues/2230))
* **Expérience utilisateur :**
    *  Ajout de la possibilité de cloner des pbehaviors, des dynamic-infos, des webhooks et des règles d'event-filter ([#2202](https://git.canopsis.net/canopsis/canopsis/issues/2202))
    *  Ajout de la possibilité de réordonner les filtres de widgets et les filtres personnels du Bac à alarmes à l'aide d'un simple glisser-déposer ([#2194](https://git.canopsis.net/canopsis/canopsis/issues/2194))
    *  Ajout da la possibilité de rechercher dans les pbehaviors sur les champs `connector`, `connector_name`, `author`, et `message` ([#2192](https://git.canopsis.net/canopsis/canopsis/issues/2192))
    *  Ajout d'une possibilité de recherche sur le champ `author` (en plus des champs de recherche déjà existants), dans une dynamic-info ([#2191](https://git.canopsis.net/canopsis/canopsis/issues/2191))
    *  Lors de l'utilisation de la fonctionnalité « Historique » du Bac à alarmes, la vue affichée hérite maintenant des réglages du bac de provenance ([#2165](https://git.canopsis.net/canopsis/canopsis/issues/2165))
