# Notes de version Canopsis 3.41.0

Canopsis 3.41.0 a été publié le 25 mai 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Puis, en installation par paquets, exécutez les commandes suivantes :

```sh
grep -q ^canopsis.webcore.services.idle_rule /opt/canopsis/etc/webserver.conf || echo "canopsis.webcore.services.idle_rule=1" >> /opt/canopsis/etc/webserver.conf
grep -q ^canopsis.webcore.services.playlist /opt/canopsis/etc/webserver.conf || echo "canopsis.webcore.services.playlist=1" >> /opt/canopsis/etc/webserver.conf

canoctl restart
```

En installation Docker, si vous maintenez votre propre volume `webserver.conf`, vous devez aussi y ajouter une ligne `canopsis.webcore.services.idle_rule=1` et `canopsis.webcore.services.playlist=1`.

### Environnement Docker et moteurs Go Pro

En installation Docker, si vous utilisez les moteurs Go Pro `engine-webhook` ou `engine-dynamic-infos`, leur commande de lancement doit être modifiée pour correspondre à ce qui est utilisé dans les autres moteurs Go, c'est-à-dire sans `/cmd` :

```yaml hl_lines="9 18"
  dynamic-infos:
    image: canopsis/engine-dynamic-infos:${CANOPSIS_IMAGE_TAG}
    env_file:
      - compose.env
    depends_on:
      - "mongodb"
    restart: unless-stopped
#   command: /cmd/engine-dynamic-infos
    command: /engine-dynamic-infos
  webhook:
    image: canopsis/engine-webhook:${CANOPSIS_IMAGE_TAG}
    env_file:
      - compose.env
    depends_on:
      - "mongodb"
    restart: unless-stopped
#   command: /cmd/engine-webhook
    command: /engine-webhook
```

### Activation du moteur engine-correlation

Le moteur `engine-correlation` est disponible depuis la version 3.40.0 mais n'est pas activé par défaut pour le moment. Il le sera dans une prochaine version.

**En installation Docker Pro Go**

Le moteur `engine-axe` doit utiliser comme argument `-publishQueue Engine_correlation`

```yaml hl_lines="6"
  axe:
    image: canopsis/engine-axe:${CANOPSIS_IMAGE_TAG}
    env_file:
      - compose.env
    restart: unless-stopped
    command: /engine-axe -publishQueue Engine_correlation
```

Le moteur `engine-correlation` doit être instancié via le fichier `docker-compose.yml`

```yaml
  correlation:
    image: canopsis/engine-correlation:${CANOPSIS_IMAGE_TAG}
    env_file:
      - compose.env
    restart: unless-stopped
    command: /engine-correlation
```

Relancez l'ensemble de votre environnement avec `docker-compose up -d`. Assurez-vous avec `docker-compose ps` que le conteneur `correlation` soit bien présent.

**En installation par paquets Pro Go**

Activation de l'unité systemd et démarrage du moteur :

```sh
systemctl enable canopsis-engine-go@engine-correlation.service
systemctl start canopsis-engine-go@engine-correlation.service
```

Insertion du moteur dans la chaîne de traitement

```sh
mkdir -p /etc/systemd/system/canopsis-engine-go@engine-axe.service.d
cat > /etc/systemd/system/canopsis-engine-go@engine-axe.service.d/axe.conf << EOF
[Service]
ExecStart=
ExecStart=/usr/bin/env /opt/canopsis/bin/%i -publishQueue Engine_correlation
EOF
```
Rechargement de la configuration et redémarrage du moteur engine-axe

```sh
systemctl daemon-reload
systemctl restart canopsis-engine-go@engine-axe.service
```

## Changements entre Canopsis 3.40.0 et 3.41.0

### Playlists

L'interface web offre maintenant la possibilité de créer des `playlists`. Les vues intégrées à ces playlists pourront défiler automatiquement dans le navigateur ou en mode plein écran. Le délai entre chaque vue est paramétrable. Il est également possible de générer un lien direct vers une `playlist`.

Vous trouverez plus d'informations concernant cette nouvelle fonctionnalité dans la [documentation](../guide-utilisation/menu-administration/listes-de-lecture.md).

### Idle Rules

Le moteur `engine-axe` est désormais capable de mesurer un délai d'inactivité sur une alarme et de déclencher une action au terme de ce délai. Les règles correspondantes sont appelées les `idle rules`. Elles sont gérées par une nouvelle API `/api/v2/idle-rule`. Le délai d'inactivité est mesuré à partir du dernier évènement reçu ou du dernier changement sur les alarmes correspondant au pattern défini dans la règle.

### Liste des modifications

*  **Documentation :**
    *  Ajout de la documentation de l'API `Idle rules` ([#2306](https://git.canopsis.net/canopsis/canopsis/issues/2306))
    *  Ajout de l'action `Commenter l'alarme` dans la documentation du bac à alarmes ([#2313](https://git.canopsis.net/canopsis/canopsis/issues/2313))
    *  Mise à jour de la [documentation](../guide-utilisation/interface/helpers/index.md) des helpers handelbars pour prendre en compte l'ajout de l'option "case insensitive" ([#2346](https://git.canopsis.net/canopsis/canopsis/issues/2346))
    * Ajout de la documentation des `playlists` ([#2320](https://git.canopsis.net/canopsis/canopsis/issues/2320))
    * Ajout de la [documentation - lien obsolète]() du moteur `engine-correlation` ([#2328](https://git.canopsis.net/canopsis/canopsis/issues/2328))
    * Mise à jour de la [documentation - lien obsolète]() du moteur `engine-webhook` ([##2363](https://git.canopsis.net/canopsis/canopsis/issues/2363))
    * Mise à jour de la documentation d'import de contexte graphe ([#2284](https://git.canopsis.net/canopsis/canopsis/issues/2284))
*  **API :**
    *  Introduction d'une nouvelle API pour la gestion des `Idle rules` ([#2306](https://git.canopsis.net/canopsis/canopsis/issues/2306))
    *  L'auteur est maintenant mis à jour lors de l'édition d'un webhook en passant par le formulaire ([#2325](https://git.canopsis.net/canopsis/canopsis/issues/2325))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  `engine-axe` :
            *  Ajout de la possibilité de changer et verrouiller la criticité d'une alarme vers la valeur `info` ([#2305](https://git.canopsis.net/canopsis/canopsis/issues/2305))
            *  Une nouvelle action permet d'ajouter des commentaires à une alarme ([#2313](https://git.canopsis.net/canopsis/canopsis/issues/2313))
        *  `engine-webhook` (Pro) :
            *  les valeurs des champs `ticket_id` et autres champs de `declare_ticket` peuvent être définis sous forme d'expressions régulières ([documentation - lien obsolète]()) ([#2363](https://git.canopsis.net/canopsis/canopsis/issues/2363))
            *  Ajout d'une possibilité de logger les requêtes émises et réponses reçues pour faciliter le diagnostic en cas d'incident ([#2358](https://git.canopsis.net/canopsis/canopsis/issues/2358))
        *  `engine-action` : possibilité de désactiver une action ([#2285](https://git.canopsis.net/canopsis/canopsis/issues/2285))
* **Docker :**
    * Optimisation de la taille finale des images ([#2103](https://git.canopsis.net/canopsis/canopsis/issues/2103))
*  **Connecteurs :**
    *  email2canopsis (Pro) :
        *  les chaînes de caractères utilisées dans les `converters` sont maintenant exprimées sous forme d'expressions régulières ([#2357](https://git.canopsis.net/canopsis/canopsis/issues/2357))
        *  Ajout des fonctions `uppercase`, `lowercase`, `replace` et `remove` ([#2357](https://git.canopsis.net/canopsis/canopsis/issues/2357))
*  **UI :**
    *  **Administration :**
        *  Ajout d'un système de défilement automatique des vues : les `playlists` ([#2320](https://git.canopsis.net/canopsis/canopsis/issues/2320))
    *  **Corrélation :**
        *  Ajout d'une interface graphique de gestion des règles de corrélation ([#2329](https://git.canopsis.net/canopsis/canopsis/issues/2329))
    *  **Event-filter :**
        *  Correction de l'affichage des données externes dans le formulaire `event-filter` ([2352](https://git.canopsis.net/canopsis/canopsis/issues/2352))
    *  **Pbehavior :**
        *  Il n'est plus possible de sélectionner des valeurs négatives lors de la création de règles de récurrence ([#2343](https://git.canopsis.net/canopsis/canopsis/issues/2343))
    * **Dynamic infos :**
        *  Il est maintenant possible de trier par `id`, `auteur` et `date de dernière mise à jour` dans la liste des informations dynamiques ([#2263](https://git.canopsis.net/canopsis/canopsis/issues/2263))
    * **Général :**
        *  Ajout de l'option "case insensitive" pour le helper handlebar `compare` ([#2346](https://git.canopsis.net/canopsis/canopsis/issues/2346))
