# Notes de version Canopsis 3.42.0

Canopsis 3.42.0 a été publié le 19 juin 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Activation du moteur engine-correlation (Pro)

Le moteur `engine-correlation` est disponible depuis la version 3.40.0 mais n'est pas activé par défaut avant la [version 3.45.0](3.45.0.md).

Si vous souhaitez l'activer, suivez les instructions suivantes, en fonction de votre type d'installation.

#### En installation Docker Pro Go

Le moteur `engine-axe` doit utiliser comme argument `-publishQueue Engine_correlation`

```yaml hl_lines="6"
  axe:
    image: canopsis/engine-axe:${CANOPSIS_IMAGE_TAG}
    env_file:
      - compose.env
    restart: unless-stopped
    command: /engine-axe -publishQueue Engine_correlation
```

Le moteur `engine-correlation` doit être instancié via le fichier `docker-compose.yml`

```yaml
  correlation:
    image: canopsis/engine-correlation:${CANOPSIS_IMAGE_TAG}
    env_file:
      - compose.env
    restart: unless-stopped
    command: /engine-correlation
```

Relancez l'ensemble de votre environnement avec `docker-compose up -d`. Assurez-vous avec `docker-compose ps` que le conteneur `correlation` soit bien présent.

#### En installation par paquets Pro Go

Synchronisation des files RabbitMQ avec le dernier fichier de référence :

```sh
cp /opt/canopsis/etc/initialisation-cat.toml.example /opt/canopsis/etc/initialisation.toml
set -o allexport ; source /opt/canopsis/etc/go-engines-vars.conf
/opt/canopsis/bin/init -conf /opt/canopsis/etc/initialisation.toml
```

Activation de l'unité systemd :

```sh
systemctl enable canopsis-engine-go@engine-correlation.service
```

Insertion du moteur dans la chaîne de traitement :

```sh
mkdir -p /etc/systemd/system/canopsis-engine-go@engine-axe.service.d
cat > /etc/systemd/system/canopsis-engine-go@engine-axe.service.d/axe.conf << EOF
[Service]
ExecStart=
ExecStart=/usr/bin/env /opt/canopsis/bin/%i -publishQueue Engine_correlation
EOF
```

Rechargement de la configuration et redémarrage des moteurs :

```sh
systemctl daemon-reload
systemctl restart canopsis-engine-go@engine-axe.service
systemctl start canopsis-engine-go@engine-correlation.service
```

## Changements entre Canopsis 3.41.0 et 3.42.0

### Corrélation de type complexe avec taux de déclenchement

Ce nouveau type de corrélation permet de grouper les alarmes en fonction du ratio d'entités en erreur par rapport à un groupe donné au cours d'un intervalle de temps défini.

Vous trouverez plus d'informations concernant ce type de règle dans la [documentation - lien obsolète]().

### Liste des modifications

*  **Documentation :**
    *  Ajout de la documentation des règles de groupement de type complexe avec taux de déclenchement ([#2433](https://git.canopsis.net/canopsis/canopsis/issues/2433))
*  **API :**
    *  Correction d'un bug dans l'API `broadcast-messages` qui affichait un message d'erreur sur la mire de connexion ([#2430](https://git.canopsis.net/canopsis/canopsis/issues/2430))
    *  Les watchers créés par le biais de l'API d'`import de context-graph` fonctionnent à présent correctement ([#2354](https://git.canopsis.net/canopsis/canopsis/issues/2354))
    *  Amélioration de l'API `metaalarm` qui renvoyait des tables vides pour les patterns non définis dans les règles de groupement ([#2432](https://git.canopsis.net/canopsis/canopsis/issues/2432))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Lors de la création d'une nouvelle entité, celle-ci possède à présent un enregistrement `component` en base ([#2359](https://git.canopsis.net/canopsis/canopsis/issues/2359))
        *  `engine-watcher` :
            *  Amélioration de la gestion des évènements dépourvus d'entités ([#2422](https://git.canopsis.net/canopsis/canopsis/issues/2422))
            *  Correction d'un bug dans la mise à jour des informations des tuiles de la météo ([#2423](https://git.canopsis.net/canopsis/canopsis/issues/2423))
    *  **Moteurs ancienne génération (Python) :**
        *  `webserver` :
            *  Suppression de messages de logs inutiles ([#2441](https://git.canopsis.net/canopsis/canopsis/issues/2441))
*  **UI :**
    *  **Bac à alarmes :**
        *  Correction d'un bug dans l'affichage des alarmes en utilisant le suivi personnalisé ([#2440](https://git.canopsis.net/canopsis/canopsis/issues/2440))
        *  Amélioration de l'ordonnancement des requêtes de recherche ([#2346](https://git.canopsis.net/canopsis/canopsis/issues/2346))
        *  Correction d'un bug dans l'affichage de la timeline ou de la fenêtre `more infos` lorsque leur largeur est nulle ([#2252](https://git.canopsis.net/canopsis/canopsis/issues/2252))
    *  **Administration :**
        *  Les en-têtes de colonnes restent à présent affichés lors du défilement dans l'écran des `droits` ([#2420](https://git.canopsis.net/canopsis/canopsis/issues/2420))
    *  **Explorateur de contexte :**
        *  Il est maintenant possible d'inclure des caractères spéciaux dans les recherches ([#2339](https://git.canopsis.net/canopsis/canopsis/issues/2339))
    *  **Pbehavior :**
        *  Amélioration du système de tri sur les différentes colonnes du CRUD ([#2369](https://git.canopsis.net/canopsis/canopsis/issues/2369))
        *  Le champ `auteur` est maintenant correctement mis à jour lors d'un changement dans un comportement ([#2324](https://git.canopsis.net/canopsis/canopsis/issues/2324))
    * **Général :**
        *  Lorsqu'un utilisateur non connecté essaie d'accéder à une page inexistante il est maintenant redirigé vers la mire de connexion ([#2327](https://git.canopsis.net/canopsis/canopsis/issues/2327))
