# Notes de version Canopsis 3.44.1

Canopsis 3.44.1 a été publié le 24 août 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

## Changements entre Canopsis 3.44.0 et 3.44.1

!!! attention
    Cette version présente un bug dans la fonctionnalité d'enrichissement du moteur `engine-che`. Les périmètres existants ne sont pas concernés et continueront d'être enrichis. En revanche, les nouveaux périmètres, ajoutés après installation ou mise à jour vers cette version, ne pourront pas être enrichis.

    Ce bug est corrigé dans [Canopsis 3.45.0](3.45.0.md).

### Docker

Un tag `nightly` a été ajouté aux images Docker. Ce tag permet de toujours obtenir la version la plus récente des images Canopsis, au moment de son utilisation. **Ce tag ne doit en aucun cas être utilisé en production**. En effet, en fonction des phases de développement et de QA, la version la plus récente peut être destinée au test de nouvelles fonctionnalités.

### Liste des modifications

*  **Docker :**
    * Ajout d'un tag `nightly` aux images Docker ([#686](https://git.canopsis.net/canopsis/canopsis/-/issues/686))
    * Optimisation de la vitesse d'affichage du prompt PS1 ([#2534](https://git.canopsis.net/canopsis/canopsis/-/issues/2534))
*  **Documentation :**
    * Ajout d'informations dans la [documentation du moteur action - lien obsolète]() ([#2508](https://git.canopsis.net/canopsis/canopsis/-/issues/2508))
    * Remise en forme de la [documentation du moteur webhook - lien obsolète]() et ajout des [triggers](../guide-administration/architecture-interne/triggers.md) `statusinc` et `statusdec` ([#2509](https://git.canopsis.net/canopsis/canopsis/-/issues/2509))
    * Correction de diverses erreurs présentes dans les [documentations des routes API](../guide-developpement/index.md#api) ([#2513](https://git.canopsis.net/canopsis/canopsis/-/issues/2513))
    * Clarification du rôle de `che-cat` dans la [documentation du moteur che - lien obsolète]() ([#2523](https://git.canopsis.net/canopsis/canopsis/-/issues/2523))
*  **API :**
    * Correction d'un bug qui empêchait l'envoi d'événements contenant certaines chaînes de caractères ([#2520](https://git.canopsis.net/canopsis/canopsis/-/issues/2520))
    * Correction d'un bug lors de l'import de `context-graph` ([#2538](https://git.canopsis.net/canopsis/canopsis/-/issues/2538))
*  **UI :**
    *   **Bac à alarmes**
        * Modification du code pour permettre de préserver les espaces multiples concaténés ([#2532](https://git.canopsis.net/canopsis/canopsis/-/issues/2532))
    *   **SNMP**
        * Correction d'un bug dans l'affichage du CRUD SNMP ([#2535](https://git.canopsis.net/canopsis/canopsis/-/issues/2535))
*  **Moteurs :**
    *   **Engine-watcher**
        * Correction de plusieurs bugs constatés dans le fonctionnement des watchers dans des conditions particulières ([#2543](https://git.canopsis.net/canopsis/canopsis/-/issues/2543))
    *  **Webserver**
        * Ajout d'une option `--limit-request-line` qu'il est possible de surcharger grâce à la variable d'environnement `LIMIT_REQUEST_LINE` ([#2525](https://git.canopsis.net/canopsis/canopsis/-/issues/2525))
