# Notes de version Canopsis 3.45.0

Canopsis 3.45.0 a été publié le 11 septembre 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

## Changements entre Canopsis 3.44.1 et 3.45.0

!!! attention
    Cette version présente un bug dans la gestion du paramètre `?auhtkey` dans les appels à l'API ([ticket #2644](https://git.canopsis.net/canopsis/canopsis/-/issues/2644)).

    Si vous utilisez cette fonctionnalité (notamment pour des scripts externes appelant les API Canopsis ou faisant de l'import…), nous vous conseillons de rester sur votre précédente version de Canopsis, en attendant qu'un correctif soit publié.

### Suppression de l'ancienne interface « UIv2 »

L'ancienne interface web « UIv2 » de Canopsis a été totalement supprimée, et la nouvelle interface « UIv3 » est maintenant l'interface par défaut.

La suppression de l'UIv2 enlève toute possibilité de configurer visuellement l'ancien event-filter Python. Vous devez donc vous assurer d'avoir migré toutes vos règles d'event-filter Python en event-filter Go (cf. [documentation d'engine-che - lien obsolète]()) si vous voulez appliquer cette mise à jour et continuer à configurer visuellement vos règles d'event-filter.

La connexion à <http://localhost:8082> vous emmène maintenant directement sur la nouvelle interface par défaut. Les anciens liens <http://localhost:8082/en/static/canopsis-next/dist/index.html#> fonctionnent toujours, par mesure de rétrocompatibilité.

Lors d'une mise à jour, vérifiez que votre fichier `webserver.conf` contienne bien la nouvelle section suivante :

```ini
[ui]
url=/static/canopsis-next/dist/index.html
```

### Activation par défaut du moteur `engine-correlation` (Pro)

Dans les nouvelles installations Pro, le [moteur `engine-correlation` - lien obsolète]() est maintenant activé par défaut.

Si vous mettez un jour un environnement Pro déjà existant, veuillez suivre la [procédure d'activation du moteur `engine-correlation`](3.42.0.md#activation-du-moteur-engine-correlation-cat).

### Liste des modifications

*  **Images Docker / paquets :**
    *  Docker : mise à jour des images d'Alpine 3.11.3 à 3.11.6, de CentOS 7.7 à 7.8 et de Debian 9.12 à 9.13 ([#2575](https://git.canopsis.net/canopsis/canopsis/-/issues/2575))
*  **Documentation :**
    *  Ajout d'une [documentation sur le moteur `engine-fifo` - lien obsolète]() ([#2318](https://git.canopsis.net/canopsis/canopsis/-/issues/2318))
    *  Ajout d'une [documentation des variables d'environnement](../guide-administration/administration-avancee/variables-environnement.md) ([#2577](https://git.canopsis.net/canopsis/canopsis/-/issues/2577))
    *  Ajout d'une [documentation des limitations de Canopsis](../guide-utilisation/limitations/index.md) ([#2576](https://git.canopsis.net/canopsis/canopsis/-/issues/2576), [#2571](https://git.canopsis.net/canopsis/canopsis/-/issues/2571))
    *  Ajout d'un [schéma de l'enchaînement des moteurs - lien obsolète]() ([#2561](https://git.canopsis.net/canopsis/canopsis/-/issues/2561), [#2507](https://git.canopsis.net/canopsis/canopsis/-/issues/2507))
*  **Connecteurs :**
    *  `zabbix2canopsis` : réécriture du connecteur en Python 3 et mise à jour de la [documentation du connecteur](../interconnexions/Supervision/Zabbix.md) ([#2388](https://git.canopsis.net/canopsis/canopsis/-/issues/2388))
*  **UI :**
    *  Suppression complète de l'ancienne interface UIv2 ([#2481](https://git.canopsis.net/canopsis/canopsis/-/issues/2481))
    *  Ajout d'une présentation visuelle des opérateurs logiques `AND` et `OR` dans l'éditeur de patterns ([#2548](https://git.canopsis.net/canopsis/canopsis/-/issues/2548))
    *  Ajout de helpers Handlebars `uppercase`, `lowercase`, `capitalize` et `capitalize-all` et mise à jour de la [documentation des helpers](../guide-utilisation/interface/helpers/index.md) ([#2549](https://git.canopsis.net/canopsis/canopsis/-/issues/2549))
    *  Suppression d'appels à des ressources Javascript externes ([#2567](https://git.canopsis.net/canopsis/canopsis/-/issues/2567))
    *   **Bac à alarmes**
         *  Ajout et prise en compte des secondes dans l'heure d'un évènement dans la chronologie des alarmes ([#2563](https://git.canopsis.net/canopsis/canopsis/-/issues/2563))
         *  Correction d'un nombre incorrect d'alarmes lors de certaines utilisations des alarmes liées ([#2479](https://git.canopsis.net/canopsis/canopsis/-/issues/2479))
         *  Correction de l'affichage des boutons de linkbuilder sur les alarmes liées ([#2633](https://git.canopsis.net/canopsis/canopsis/-/issues/2633))
    *   **Météo de services**
         *  Ajout d'une possibilité d'alignement du texte (gauche, droite, centré) dans les tuiles de météo, en utilisant des attributs HTML tels que `<p style="text-align: right;">{{entity.name}}</p>` ([#2533](https://git.canopsis.net/canopsis/canopsis/-/issues/2533))
         *  Correction de l'affichage du détail des entités dans les tuiles de météo ([#2574](https://git.canopsis.net/canopsis/canopsis/-/issues/2574))
    *   **Droits**
         *  Meilleure présentation visuelle de la gestion des droits sur les vues ([#2421](https://git.canopsis.net/canopsis/canopsis/-/issues/2421), [#2628](https://git.canopsis.net/canopsis/canopsis/-/issues/2628))
         *  Correction du droit de suppression des pbehaviors, qui pouvait être effectif même lorsqu'un utilisateur ne devait théoriquement pas en avoir le droit ([#2491](https://git.canopsis.net/canopsis/canopsis/-/issues/2491))
    *   **Explorateur de contexte**
         *  Il est possible de trier par webhook dans l'Explorateur de contexte ([#2492](https://git.canopsis.net/canopsis/canopsis/-/issues/2492))
         *  Il n'est désormais plus possible de supprimer des pbehaviors sans droits ([#2491](https://git.canopsis.net/canopsis/canopsis/-/issues/2491))
    *  **Widget compteur :**
        *  Correction de la prise en charge de la configuration de colonnes de Bac à alarmes dans un widget de compteur ([#2551](https://git.canopsis.net/canopsis/canopsis/-/issues/2551))
    *  **CRUD utilisateurs :**
        *  Ajout d'une possibilité de recherche d'utilisateur sur son identifiant, son nom, son prénom, son rôle ou son adresse e-mail ([#2552](https://git.canopsis.net/canopsis/canopsis/-/issues/2552))
    *  **CRUD Webhooks :**
        *  Ajout d'un module de recherche dans l'interface de configuration des Webhooks ([#2492](https://git.canopsis.net/canopsis/canopsis/-/issues/2492))
*  **Moteurs :**
    *  **Engine-axe**
        *  Ajout d'une nouvelle option [`DisplayNameScheme` - lien obsolète]() (et sa documentation associée) permettant de personnaliser la méthode de construction de l'attribut unique `display_name` ([#2547](https://git.canopsis.net/canopsis/canopsis/-/issues/2547))
    *  **Engine-action**
        *  Ajout d'une priorité sur les règles d'actions ([#2531](https://git.canopsis.net/canopsis/canopsis/-/issues/2531))
    *  **Engine-che**
        *  Correction d'un bug d'enrichissement d'entité dans l'event-filter, apparu dans Canopsis 3.43.0 ([#2559](https://git.canopsis.net/canopsis/canopsis/-/issues/2559))
        *  Correction de l'ordre d'évaluation des bibliothèques `regexp` et `regexp2` ([#2570](https://git.canopsis.net/canopsis/canopsis/-/issues/2570))
    *  **Engine-correlation**
        *  Le moteur `engine-correlation` est désormais activé par défaut dans les nouvelles installations Pro ([#2522](https://git.canopsis.net/canopsis/canopsis/-/issues/2522))
        *  L'utilisation de `autosolvedelay` réagit maintenant également à l'annulation d'alarmes ([#2434](https://git.canopsis.net/canopsis/canopsis/-/issues/2434))
    *  **Engine-fifo**
        *  Correction d'un bug qui empêchait la gestion d'une alarme si elle contenait un caractère `:` ([#2579](https://git.canopsis.net/canopsis/canopsis/-/issues/2579))
*  **LDAP :**
    *  Sécurité : suppression de l'affichage des informations de configuration `ldapconfig` lors d'un appel à `/api/internal/login/login_info` ([#2585](https://git.canopsis.net/canopsis/canopsis/-/issues/2585))
*  **Linkbuilder :**
    *  Correction d'un problème de construction des liens dans certains cas d'utilisation du `basic_alarm_link_builder` et des linkbuilders personnalisés qui en héritent ([#2470](https://git.canopsis.net/canopsis/canopsis/-/issues/2470))
