# Notes de version Canopsis 3.46.0

Canopsis 3.46.0 a été publié le 9 octobre 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

## Changements entre Canopsis 3.45.0 et 3.46.0

### Liste des modifications

*  **Images Docker / paquets :**
    *  Pro : Ajout d'un [nouveau moteur KPI - lien obsolète]() dans Canopsis Pro. Ce moteur reste désactivé par défaut ([#2418](https://git.canopsis.net/canopsis/canopsis/-/issues/2418))
    *  Ajout d'une dépendance aux bibliothèques PostgreSQL, nécessaires pour le nouveau moteur KPI ([#2418](https://git.canopsis.net/canopsis/canopsis/-/issues/2418))
    *  Docker : la version minimale requise de Docker CE est maintenant Docker CE 19.03.5. Le fonctionnement de Canopsis avec des versions plus anciennes de Docker CE n'est plus pris en charge ([#2648](https://git.canopsis.net/canopsis/canopsis/-/issues/2648))
*  **Documentation :**
    *  Ajout d'une [documentation sur le nouveau connecteur Centreon](https://old-doc.canopsis.net/3.46.0/interconnexions/Supervision/Centreon-stream-connector/) *Stream Connector* ([#2650](https://git.canopsis.net/canopsis/canopsis/-/issues/2650))
    *  Ajout d'une [documentation sur les formats d'expressions régulières (regex)](../guide-utilisation/formats-et-syntaxe/format-regex.md) acceptés par Canopsis, ainsi que leurs particularités ([#2641](https://git.canopsis.net/canopsis/canopsis/-/issues/2641))
    *  Ajout d'un [guide de configuration avancée de MongoDB](../guide-administration/administration-avancee/configuration-composants/base-de-donnees-mongodb.md), comportant notamment quelques suggestions pour les environnements où MongoDB nécessite une quantité importante de ressources ([#2666](https://git.canopsis.net/canopsis/canopsis/-/issues/2666))
*  **Connecteurs :**
    *  Ajout d'un nouveau [connecteur *Stream Connector* pour Centreon](../guide-administration/administration-avancee/configuration-composants/base-de-donnees-mongodb.md)
*  **UI :**
    *  **Bac à alarmes**
        *  Ajout d'une action de création de méta-alarme ([#2450](https://git.canopsis.net/canopsis/canopsis/-/issues/2450))
        *  Ajout de la prise en charge des alarmes liées dans la recherche ([#2478](https://git.canopsis.net/canopsis/canopsis/-/issues/2478))
        *  Ajout d'une étape dans la chronologie d'une alarme, lorsque celle-ci a été liée à une méta-alarme ([#2643](https://git.canopsis.net/canopsis/canopsis/-/issues/2643))
        *  Ajout d'informations dans la colonne « Extra details », pour les alarmes ayant une méta-alarme comme parent ([#2645](https://git.canopsis.net/canopsis/canopsis/-/issues/2645))
        *  Importante réduction de la taille des requêtes HTTP faites par le Bac à alarmes à destination de l'API `get-alarms`, ce qui réduit fortement la possibilité d'erreurs *Request Line is too large* ([#2653](https://git.canopsis.net/canopsis/canopsis/-/issues/2653))
    *  **Éditeur de filtres**
        *  Ajout d'un rendu visuel des opérateurs `AND` et `OR` dans l'éditeur de filtres ([#2638](https://git.canopsis.net/canopsis/canopsis/-/issues/2638))
    *  **Filtre d'évènements**
        *  Ajout d'opérateurs `has_every`, `has_one_of` et `has_not`, permettant d'exécuter des vérifications sur des tableaux dans l'[event-filter - lien obsolète]() ([#2634](https://git.canopsis.net/canopsis/canopsis/-/issues/2634))
    *  **Gestion des actions**
        *  La liste des actions affiche dorénavant leur date de création et de dernière mise à jour ([#2565](https://git.canopsis.net/canopsis/canopsis/-/issues/2565))
    *  **Gestion des Webhooks**
        *  Ajout d'un accès aux alarmes liées des méta-alarmes dans le *payload* des Webhooks ([#2451](https://git.canopsis.net/canopsis/canopsis/-/issues/2451))
        *  La liste des Webhooks affiche dorénavant leur date de création et de dernière mise à jour ([#2564](https://git.canopsis.net/canopsis/canopsis/-/issues/2564))
        *  Ajout d'une pagination dans la liste des Webhooks ([#2678](https://git.canopsis.net/canopsis/canopsis/-/issues/2678))
*  **Moteurs :**
    *  **pbehavior (Python)**
        *  Lors de l'utilisation de `replace_expired`, les champs originels autres que `_id` sont maintenant préservés tels qu'ils étaient à l'origine ([#2496](https://git.canopsis.net/canopsis/canopsis/-/issues/2496#note_81534))
