# Notes de version Canopsis 3.48.0

Canopsis 3.48.0 a été publié le 27 novembre 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Changement important d'API et mise à jour des règles d'event-filter

Cette mise à jour apporte une modification essentielle aux event-filters et à leur API.

Vous devez obligatoirement [arrêter les moteurs Canopsis](../guide-administration/gestion-composants/arret-relance-composants.md), vous [connecter à MongoDB](../guide-administration/administration-avancee/connexion-a-la-base-de-donnees.md) et y exécuter la commande suivante :

```js
db.eventfilter.find().forEach(function(document) {
    if (document.pattern && typeof document.pattern == 'object' && Object.keys(document.pattern).length > 0) {
        db.eventfilter.updateOne(
            {_id: document._id},
            {$set: {patterns: [document.pattern]}}
        );
    }
})

db.eventfilter.updateMany({}, {$unset: {pattern: ""}})
```

Puis, [redémarrez les moteurs Canopsis](../guide-administration/gestion-composants/arret-relance-composants.md).

Si vous avez créé vos propres scripts utilisant l'API `/api/v2/eventfilter`, vous devez vous assurer de les synchroniser avec les dernières mises à jour de la documentation de cette API, notamment sur le champ `patterns`.

## Changements entre Canopsis 3.47.0 et 3.48.0

### Liste des modifications

*  **Documentation :**
    *  Mise à jour de la documentation du connecteur Prometheus ([#2766](https://git.canopsis.net/canopsis/canopsis/-/issues/2766))

*  **UI :**
    *  **Gestion des event filters**
        *  Modification de l'interface pour permettre la création de plusieurs patterns ([#2740](https://git.canopsis.net/canopsis/canopsis/-/issues/2740))
    *  **Gestion des dynamic info**
        *  Il est désormais possible d'effectuer une recherche avancée sur le `pattern` ([#2741](https://git.canopsis.net/canopsis/canopsis/-/issues/2741))
    *  **Gestion des droits**
        *  Les droits et les roles sont maintenant triés par ordre alphabétique ([#2421](https://git.canopsis.net/canopsis/canopsis/-/issues/2421))

*  **API :**
    * L'API `get-alarms` ne liste plus les pbehaviors désactivés ([#2728](https://git.canopsis.net/canopsis/canopsis/-/issues/2728))

*  **Moteurs :**
    *  **pbehavior (Python)**
        *  Ajout de logs dans le moteur ([#2772](https://git.canopsis.net/canopsis/canopsis/-/issues/2772))
    *  **watchers (Go)**
        *  Correction d'un bug qui provoquait une consommation de mémoire excessive ([#2771](https://git.canopsis.net/canopsis/canopsis/-/issues/2771))
    * **correlation (Go)**
        *  Correction d'un bug dans la mise de la criticité d'une alarme conséquence d'une méta alarme ([#2768](https://git.canopsis.net/canopsis/canopsis/-/issues/2768))
        *  Amélioration du moteur pour permettre que les nouvelles alarmes conséquences, liées à une méta alarme existante sur laquelle une action (ack, snooze…) est active, héritent de l'action correspondante ([#2646](https://git.canopsis.net/canopsis/canopsis/-/issues/2646))
    * **KPI (Python, Pro)**
        *  Correction de différents bugs qui affectaient le moteur. Notamment un crash du moteur lorsqu'un document dans la base MongoDB ne comportait pas d'attribut `username` ([#2742](https://git.canopsis.net/canopsis/canopsis/-/issues/2742))
