# Notes de version Canopsis 3.7.0

Canopsis 3.7.0 a été publié le 27 décembre 2018.

## Procédure de mise à jour

!!! attention
    La mise à jour vers Canopsis 3.7.0 **casse** les vues de l'interface web. Il faut obligatoirement suivre l'ensemble des instructions suivantes pour retrouver une interface fonctionnelle.

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Suite à la mise à jour, les vues que vous avez créées sur l'interface web de Canopsis seront alors cassées. Il existe cependant une procédure pour migrer vos vues existantes vers un Canopsis 3.7.0.

Pour cela, il faut vous [connecter à MongoDB](../guide-administration/administration-avancee/connexion-a-la-base-de-donnees.md) et exécuter les requêtes suivantes :
```js
db.views.find({rows: { $exists: true }}).forEach( function(myView) {
    db.backupviews.insert(myView);
    myView.tabs = [{rows : myView.rows, title: myView.title, _id: myView._id}];
    delete myView['rows'];
    db.views.replaceOne({_id : myView._id}, myView);
});
```

Puis, recharger l'interface web : vos vues ont été migrées (une sauvegarde de vos anciennes vues a été enregistrée dans `db.backupviews`).

## Changements entre Canopsis 3.6.0 et 3.7.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.


* **Documentation :**
	* Ajout de documentation pour la `task_ackcentreon`.
* **Outils :**
	* Correction de la méthode d'installation sur Debian.
* **UI :**
	* Ajout du système d'onglets à l'intérieur des vues.
	* Ajout de la fonctionnalité de vues par défaut pour les rôles et utilisateurs.
	* **Météo des services :**
		* Ajout d'un paramètre permettant de choisir, au clic sur une tuile de météo des services, d'ouvrir une modale listant les entités de l'observateur, ou d'ouvrir un bac à alarmes listant les alarmes en lien avec l'observateur.
		* Correction de figeage d'écran aléatoire.
	* **Bac à alarmes :**
		* Correction d'un bug provoquant l'éxécution en double de la requête pour récupérer les alarmes.
	* **Contexte :**
		* Correction d'un problème avec les timestamp lors de la création de pbehaviors.
		* Ajout d'un champ de recherche permettant d'effectuer une recherche dans les infos d'une entité.
	* **Filtre d'événements :**
		* Ajout d'un CRUD "Filtre d'évènements" permettant de gérer les règles du filtre d'événements.
