# Notes de version Canopsis 4.2.0

Canopsis 4.2.0 a été publié le 10 mai 2021.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Cette version apportant des changements importants dans les actions et webhooks, le [Guide de migration vers Canopsis 4.2.0](migration/migration-4.2.0.md) doit **obligatoirement** être suivi dans le cadre d'une mise à jour.

## Changements entre Canopsis 4.1.1 et 4.2.0

<!-- présentation des scénarios ici ? -->

### Liste des modifications

*  **Images Docker/paquets :**
    * Suppression des paquets pour Debian 9, le projet se recentrant (actuellement) sur les paquets CentOS 7 ainsi que Docker Compose ([#2827](https://git.canopsis.net/canopsis/canopsis/-/issues/2827))
    * Le port 8082 (en TCP) est à nouveau exposé par défaut dans les images Docker `canopsis-api` et `canopsis-api-cat`, comme cela pouvait être le cas en Canopsis v3 ([#3073](https://git.canopsis.net/canopsis/canopsis/-/issues/3073))
*  **Documentation :**
    * Améliorations diverses du [Guide d'utilisation de la remédiation](../guide-utilisation/remediation/index.md), notamment concernant Rundeck ([#3114](https://git.canopsis.net/canopsis/canopsis/-/issues/3114))
    * Uniformisation des termes « Canopsis Community » et « Canopsis Pro », au lieu des termes historiques « Canopsis Core » et « Canopsis CAT », concernant les éditions de Canopsis. Notez cependant que des suffixes `core` et `cat` subsistent dans certaines API, les images Docker et les paquets, pour le moment ([#3138](https://git.canopsis.net/canopsis/canopsis/-/issues/3138))
*  **Général :**
    * Mise en place du mécanisme des *scénarios*, regroupant les actions et webhooks ([#2390](https://git.canopsis.net/canopsis/canopsis/-/issues/2390))
    * Ajout de la possibilité d'utiliser les résultats d'un webhook (payload et headers) dans un autre webhook ([#3031](https://git.canopsis.net/canopsis/canopsis/-/issues/3031))
    * Ajout d'un système d'export des données du Bac à alarmes et de l'Explorateur de contexte sous la forme de CSV configurables dans le widget associé ([#2809](https://git.canopsis.net/canopsis/canopsis/-/issues/2809))
*  **UI :**
    * Améliorations diverses dans l'utilisation du nom d'utilisateur ou de son identifiant ([#2839](https://git.canopsis.net/canopsis/canopsis/-/issues/2839))
     * Ajout d'un sélecteur de type lors de l'ajout d'une information dynamique ([#2889](https://git.canopsis.net/canopsis/canopsis/-/issues/2889)) ou d'une information personnalisée dans l'Explorateur de contexte ([#2930](https://git.canopsis.net/canopsis/canopsis/-/issues/2930))
    * Correction de problème de cohérence de configuration des widgets, pouvant apparaître lors de certains rechargements ([#2859](https://git.canopsis.net/canopsis/canopsis/-/issues/2859))
    * Correction du compteur de sessions actives après la déconnexion à l'outil ([#2835](https://git.canopsis.net/canopsis/canopsis/-/issues/2835))
    * **Pbehaviors :**
        * Les EID de pbehaviors peuvent à nouveau être recherchés et affichés dans un onglet dédié ([#2936](https://git.canopsis.net/canopsis/canopsis/-/issues/2936))
        * Amélioration de la gestion des commentaires de pbehaviors dépassant la limite définie ([#2862](https://git.canopsis.net/canopsis/canopsis/-/issues/2862))
    * **Bac à alarmes :**
        * Lors du rafraîchissement d'un Bac à alarmes, lorsque des filtres étaient sélectionnés, le bon opérateur (`AND` ou `OR`) n'était pas forcément correctement mémorisé ([#3113](https://git.canopsis.net/canopsis/canopsis/-/issues/3113))
        * Correction de l'ordre d'apparition des étapes d'une alarme, lorsque celle-ci est dépliée et que le Bac à alarmes est rafraîchi ([#3129](https://git.canopsis.net/canopsis/canopsis/-/issues/3129))
    * **Météo des services :**
        * Les tuiles de météo ne disparaissent désormais plus lors du rafraîchissement de leurs compteurs ([#3057](https://git.canopsis.net/canopsis/canopsis/-/issues/3057))
    * **Webhooks :**
        * Ajout d'une option « Ne pas vérifier les certificats HTTPS » lorsque le webhook doit communiquer avec un service HTTPS dont la configuration est défectueuse ([#3059](https://git.canopsis.net/canopsis/canopsis/-/issues/3059))
    * **Administration :**
        * La liste des utilisateurs contient désormais une colonne concernant son type d'authentification (LDAP, CAS, local…) ([#3058](https://git.canopsis.net/canopsis/canopsis/-/issues/3058))
        * Correction d'une erreur lors du changement de la date de début ou de fin du bandeau de diffusion de message ([#3071](https://git.canopsis.net/canopsis/canopsis/-/issues/3071))
*  **Moteurs :**
    * `engine-che` : Correction d'une régression de performances introduite dans Canopsis 4.0 ([#3063](https://git.canopsis.net/canopsis/canopsis/-/issues/3063))
    * `engine-pbehavior` : Correction d'un problème de correspondance entre entités et pbehaviors, qui pouvait notamment déclencher un webhook alors que celui-ci ne doit pas se déclencher durant une pause ou maintenance ([#3062](https://git.canopsis.net/canopsis/canopsis/-/issues/3062))
    * `engine-stat` : Suppression totale du moteur, qui était déprécié et désactivé depuis [Canopsis 3.31.0](3.31.0.md) ([#2760](https://git.canopsis.net/canopsis/canopsis/-/issues/2760))
    * **engine-correlation** :
        * Dans une règle de type `valuegroup`, il est désormais possible de spécifier plusieurs chemins de valeurs (`valuepaths`)([#2668](https://git.canopsis.net/canopsis/canopsis/-/issues/2668))
        * Dans une règle de type `valuegroup`, le déclenchement peut être effectué à partir d'un `threshold rate` ([#2669](https://git.canopsis.net/canopsis/canopsis/-/issues/2669))
        * Lorsqu'une règle utilise un `threshold rate`, le ratio est calculé à partir du nombre d'alarmes (alarm pattern, entity pattern) et du nombre d'entités (entity pattern). Le nombre d'entités peut à présent être calculé à partir d'un pattern dédié  `total_entity_pattern` ([#2670](https://git.canopsis.net/canopsis/canopsis/-/issues/2670))


*  **Connecteurs :**
    * `snmp2canopsis` : Les traps SNMP affichés par le connecteur lors du mode *debug* utilisent désormais le format JSON ([#2749](https://git.canopsis.net/canopsis/canopsis/-/issues/2749))
*  **API :**
    * `/v4/alarms` : Amélioration significative des temps de traitement lors de la jointure des pbehaviors et des alarmes ([#3035](https://git.canopsis.net/canopsis/canopsis/-/issues/3035))
    * `/v4/pbehavior-reasons` : Amélioration du fonctionnement de l'API afin d'éviter une possible erreur 500 dans certaines conditions ([#3064](https://git.canopsis.net/canopsis/canopsis/-/issues/3064))
