# Notes de version Canopsis 4.3.1

Canopsis 4.3.1 a été publié le 14 octobre 2021.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Afin de rendre opérationnelle la mise en place du cache sur les comportements périodiques, vous devez procéder préalablement à la purge du cache existant.

Vous devez prévoir une interruption du service afin de procéder à la mise à jour qui va suivre.

=== "Paquets CentOS 7"

    ```sh
    canoctl stop
    redis-cli
    > select 11
    > flushdb
    > exit
    canoctl start
    ```

=== "Docker Compose"

    ```sh
    docker-compose down
    docker-compose up -d redis
    docker-compose exec redis /bin/bash
    > redis-cli
    > select 11
    > flushdb
    > exit
    > exit
    docker-compose up -d
    ```

## Changements entre Canopsis 4.3.1 et 4.3.0


*  **UI :**
    * Correction d'un bug qui rendait inopérant le helper handlebars **duration** (#3883)
*  **API :**
    * **Pbehavior**
        * Les comportements périodiques peuvent à présent être mis à jour partiellement avec la méthode PATCH (#3841)
*  **Moteurs :**
    * `engine-pbehavior` : Ajout d'un système de cache afin d'améliorer les performances de traitement du moteur (#78)
    * `engine-webhook` : Correction d'un bug qui engendrait un message d'erreur dans le log lorsque la réponse d'une API n'était pas formattée en **json** (#3906)
    * `engine-webhook` : Correction d'un bug qui empêchait la bonne utilisation du paramètre `declare_ticket` (#3906)
*  **Général :**
    * Ajout d'un paramètre de configuration de l'authentification LDAP : `max_tls_ver`. Ce paramètre permet de définir la version max TLS à utiliser dans une transaction LDAP (#3857)
