# Notes de version Canopsis 4.5.5

Canopsis 4.5.5 a été publié le 13 avril 2022.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Par ailleurs, la correction du bug (#4292) ne sera effective qu'après exécution des scripts

* `016_add_snooze_and_pbehavior_durations_to_alarm.js` livré dans le répertoire `release4.4`.
* `008_add_multiple_executions_to_job.js` livré dans le répertoire `release4.5`.

=== "Paquets CentOS 7"

    Sur la machine sur laquelle les paquets `canopsis*` sont installés :

    ```sh
    cd /opt/canopsis/share/migrations/mongodb/release4.4
    mongo -u cpsmongo -p canopsis canopsis < 016_add_snooze_and_pbehavior_durations_to_alarm.js
    cd /opt/canopsis/share/migrations/mongodb/release4.5
    mongo -u cpsmongo -p canopsis canopsis < 008_add_multiple_executions_to_job.js
    ```

=== "Docker Compose"

    Depuis une machine qui a un client `mongo` installé et qui peut joindre le service `mongodb` d'un point de vue réseau :

    ```sh
    git clone --depth 1 --single-branch -b release-4.5 https://git.canopsis.net/canopsis/canopsis-community.git
    cd canopsis-community/community/go-engines-community/database/migrations/release4.4
    mongo "mongodb://cpsmongo:canopsis@localhost:27017/canopsis" < 016_add_snooze_and_pbehavior_durations_to_alarm.js # URI à adapter au besoin
    cd canopsis-community/community/go-engines-community/database/migrations/release4.5
    mongo "mongodb://cpsmongo:canopsis@localhost:27017/canopsis" < 008_add_multiple_executions_to_job.js # URI à adapter au besoin
    ```


### Liste des modifications

*  **UI :**
    * Correction d'un bug qui rendait impossible l'affichage de la colonne des liens des alarmes conséquences d'une méta alarme (#4262)
    * Correction d'un bug qui rendait impossible la suppresion d'une règle SNMP (#4275)
    * Correction d'un bug qui empêchait de sélectionner "1j" comme période de rotation des données (#4271)
    * Les tri et recherche sont maintenant possibles depuis la liste des utilisateurs (#4242)
    * Correction d'un bug qui présentait des consignes de remédiation à des alarmes conséquences d'une méta alarme lorsque cela n'était pas nécessaire (#4273)
    * Correction d'un bug qui empêchait un utilisateur d'exécuter plusieurs actions simultanées à des ressources d'une tuile de météo (#4287)
    * Correction d'un bug qui rendait impossible l'accès à la chronologie d'une alarme résolue dans certains cas (#4295)
*  **Moteurs :**
    * La fonction `formattedDate` accessible dans un template Go est maintenant applicable au champ `ActivationDate` d'une alarme (#4298)
    * **che**
        * Correction d'un bug qui rendait impossible l'enrichissement d'une méta alarme (#4269)
        * Correction d'un bug qui entrainait dans certains cas la purge des informations `component_infos` (#4284)
        * Correction de l'erreur `(Location4568) Total size of documents in default_entities` (#4296)
    * **axe**
        * Correction d'un pointeur nul (#4291)
        * La règle de "résolution" par défaut est maintenant correctement insérée (#4274)
        * Correction d'un bug qui pouvait générer des durées d'alarmes négatives (#4292)
    * **remediation**
        * Les instructions et les jobs associés à des instructions peuvent être exécutés en parallèle (#3843)
    * **kpi (version python)**
        * Correction de l'erreur `Beat raise exception: cursor id xxx not found` (#4247)
*  **Reverse Proxy Nginx :**
    * Correction d'un bug qui rendait impossible les redirections d'api avec le préfixe `/backend` (#4267)
