# Notes de version Canopsis 4.5.6

Canopsis 4.5.6 a été publié le 21 avril 2022.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Par ailleurs, la correction du bug (#4292) nécessite à nouveau l'exécution du script 

* `016_add_snooze_and_pbehavior_durations_to_alarm.js` livré dans le répertoire `release4.4`.

=== "Paquets CentOS 7"

    Sur la machine sur laquelle les paquets `canopsis*` sont installés :

    ```sh
    cd /opt/canopsis/share/migrations/mongodb/release4.4
    mongo -u cpsmongo -p canopsis canopsis < 016_add_snooze_and_pbehavior_durations_to_alarm.js
    ```

=== "Docker Compose"

    Depuis une machine qui a un client `mongo` installé et qui peut joindre le service `mongodb` d'un point de vue réseau :

    ```sh
    git clone --depth 1 --single-branch -b release-4.5 https://git.canopsis.net/canopsis/canopsis-community.git
    cd canopsis-community/community/go-engines-community/database/migrations/release4.4
    mongo "mongodb://cpsmongo:canopsis@localhost:27017/canopsis" < 016_add_snooze_and_pbehavior_durations_to_alarm.js # URI à adapter au besoin
    ```


### Liste des modifications

*  **UI :**
    * Correction d'un bug qui rendait illisible les `infoPopups` du widget ServiceWeather (#4310)
    * La durée `active_duration` est désormais affichée comme une durée et non une date. Le support i18n est également rétabli (#4309)
    * L'icône de filtre des remédiations a été remplacé par l'icône de référence de la remédiation (#4252)
    * Correction d'un bug qui pouvait entrainer une erreur sur l'interface graphique au moment de l'affichage des statistiques de remédiation (#4272)
*  **Moteurs :**
    * **axe**
        * Correction d'un bug entrainant une `panic` dans le moteur avec le message `(*pbhLeaveAndEnterExecutor)` (#4315)
    * **remediation**
        * Correction d'un bug qui ignorait les comportements périodiques au moment de l'exécution d'une consigne (#4307)
