# Notes de version Canopsis 4.5.7

Canopsis 4.5.7 a été publié le 12 mai 2022.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Par ailleurs, la correction du bug (#4292) nécessite à nouveau l'exécution des scripts

* `016_add_snooze_and_pbehavior_durations_to_alarm.js` livré dans le répertoire `release4.4`.
* `000_add_pbehavior_info_to_entity.js` livré dans le répertoire `release4.5`.

=== "Paquets CentOS 7"

    Sur la machine sur laquelle les paquets `canopsis*` sont installés :

    ```sh
    cd /opt/canopsis/share/migrations/mongodb/
    mongo -u cpsmongo -p canopsis canopsis < release4.4/016_add_snooze_and_pbehavior_durations_to_alarm.js
    mongo -u cpsmongo -p canopsis canopsis < release4.5/000_add_pbehavior_info_to_entity.js
    ```

=== "Docker Compose"

    Depuis une machine qui a un client `mongo` installé et qui peut joindre le service `mongodb` d'un point de vue réseau :

    ```sh
    git clone --depth 1 --single-branch -b release-4.5 https://git.canopsis.net/canopsis/canopsis-community.git
    cd canopsis-community/community/go-engines-community/database/migrations/
    mongo "mongodb://cpsmongo:canopsis@localhost:27017/canopsis" < release4.4/016_add_snooze_and_pbehavior_durations_to_alarm.js # URI à adapter au besoin
    mongo "mongodb://cpsmongo:canopsis@localhost:27017/canopsis" < release4.5/000_add_pbehavior_info_to_entity.js # URI à adapter au besoin
    ```


### Liste des modifications

*  **UI :**
    * L'icône du module `Remédiation` est à présent appliquée de manière homogène (#4249)
    * L'auteur des actions de scénarios peut désormais être transmis d'une action à une autre (#4300)
    * Correction d'un bug qui rendait impossible le tri sur une colonne préfixée `entity` dans le bac à alarmes (#4320)
    * Correction d'un bug qui effaçait les paramètres `Healthcheck` après l'exécution de `canopsis-reconfigue` (#4326)
    * Corretion d'un bug qui empêchait dans certains cas l'affichage d'un scénario créé par API dans l'interface graphique (#4300)
    * La vue `Alarmes résolues` filtre à présent uniquement les alarmes résolues (#4308)
    * Le bouton d'accès aux variables dans l'explorateur de contexte est à nouveau accessible (#4327)
    * Le message qui précise qu'aucune exception n'est définie dans un comportement périodique s'applique désormais aux listes d'exceptions (#4333)
    * Correction d'un bug qui rendait impossible le tri par `last_event_date` et `enabled` dans l'explorateur de contexte (#4328)
*  **Moteurs :**
    * **KPI (déprécié, version python)**
        * Prise en compte de l'attribut `title` comme nom des vues et des groupes de vues (#4247)
    * **Axe**
        * Correction d'un bug qui empêchait une alarme `idle-rule` de se recréer une fois résolue (#4314)
        * Correction d'un bug qui entrainait un calcul de durée active d'alarme négative (#4292)
        * Dernière étape de la correction d'un bug entrainant une `panic` dans le moteur avec le message `(*pbhLeaveAndEnterExecutor)` (#4315)
    * **Remediation**
        * Ajout d'index par défaut sur la collection des historiques de jobs (#3843)
