# Les widgets

## Les différents types de widgets

Plusieurs types de widgets sont disponibles dans Canopsis :

* [Bac à alarmes](bac-a-alarmes/index.md)
* [Explorateur de contexte](contexte/index.md)
* [Météo de services](meteo-des-services/index.md)
* [Compteur](compteur/index.md)
* [Disponibilité](disponibilite/index.md)
* Statistiques :
    - Tableau
    - Compteur
    - Histogramme
    - Courbes
    - Calendrier
    - Texte
* [Scénarios JUnit](junit/index.md)

### [Bac à alarmes](bac-a-alarmes/index.md)

Le widget **Bac à alarmes** permet de visualiser les alarmes présentes dans le SI.

Il permet de voir les informations de l'alarme (composant concerné, statut de l'alarme, etc), ainsi que d'effectuer des actions sur ces alarmes.

Pour plus d'information sur ce qu'est une alarme, voir son [entrée dans la page du vocabulaire](../../vocabulaire/index.md#alarme).

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement du bac à alarmes](./bac-a-alarmes/index.md)

Pour les informations concernant le paramètrage du Bac à alarmes, voir la partie : [Guide de l'exploitant du bac à alarmes](./bac-a-alarmes/index.md#guide-exploitant)

### [Explorateur de contexte](contexte/index.md)

Le widget **Explorateur de contexte** permet de lister les entités (composants, connecteurs, ressources et services).

Il permet de voir les informations concernant chaque entité, de créer de nouvelles entités, d'en supprimer, ainsi que de les éditer.
Il permet également d'accéder à la liste des comportements périodiques de chaque entité, d'en ajouter, et d'en supprimer.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement de l'explorateur de contexte](./contexte/index.md)

### [Météo de services](meteo-des-services/index.md)

Le widget **Météo de services** permet d'afficher rapidement l'état des services.

Celui-ci présente sous forme de grille un ensemble de services, avec un jeu de couleurs et d'icones permettant d'observer rapidement une éventuelle source de problème.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement de la météo de services](./meteo-des-services/index.md)

### [Compteur](compteur/index.md)

Le widget **Compteur** permet de présenter des compteurs d'alarmes.  

Il se présente sous la forme d'une grille de tuiles, avec un un jeu de couleurs et d'icônes permettant de constater un dépassement de seuil. 

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement du compteur](./compteur/index.md)

### [Disponibilité](disponibilite/index.md)

Le widget **Disponibilité** permet de présenter les temps de disponibilité et d'indisponibilité des entités dans Canopsis.
Ces temps sont présentés sous forme de tableau prenant en paramètres les éléments suivants :

* Période à considérer
* Filtres sur les entités
* Sélection du temps de disponibilité ou d'indisponibilité
* Temps minimum et maximum à considérer

### Tableau de statistiques

Le widget **Tableau de statistiques** permet de représenter sous forme de tableau un ensemble de statistiques du SI, ou d'un sous-ensemble du SI.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement du tableau de statistiques](./stats/index.md)

### Compteur de statistique

Le widget **Compteur de statistique** permet d'afficher la valeur d'une statistique, avec un jeu de couleur permettant de caractérisé la criticité de chacune des valeurs.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement du compteur de statistique](./stats/index.md)

### Histogramme de statistiques

Le widget **Histogramme** permet de représenter un ensemble de statistiques sous forme d'histogramme.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement de l'histogramme](./stats/index.md)

### Courbe de statistiques

Le widget **Courbe** permet de visualiser un ensemble de statistiques sous forme de courbes.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement de la courbe](./stats/index.md)

### Calendrier de statistique

Le widget **Calendrier** permet d'afficher le nombre d'alarmes par période de temps (par heure, par jour, par mois), dans une vue calendrier.

Pour les informations concernant le widget en lui-même, voir la partie sur le [fonctionnement du calendrier](./stats/index.md)

### Scénarios JUnit

Le widget **JUnit** permet d’afficher les résultats d'exécution de scénarios au format XML JUnit.

Pour les informations concernant le widget en lui-même, voir la page [JUnit](./junit/index.md).
