# Notes de version Canopsis 3.13.0

Canopsis 3.13.0 a été publié le 25 mars 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

### Nouveau prérequis d'installation pour les utilisateurs de CentOS 7

Les utilisateurs de **CentOS 7** doivent maintenant suivre [une procédure supplémentaire](../guide-administration/installation/installation-paquets.md#sur-centos-7) lors de l'installation.

Si vous mettez à jour un Canopsis antérieur à 3.13.0 sur **CentOS 7**, vous devrez exécuter la procédure suivante au moins une première fois :
```sh
yum install centos-release-scl
yum install python27
```

### Mise à jour des pbehaviors en base

Si vous aviez déjà des *pbehaviors* (ou *downtimes*) en base, il est nécessaire de les mettre à jour à l'aide de la requête suivante, pour qu'ils continuent de fonctionner après la mise à jour.

Pour cela, il faut vous [connecter à MongoDB](../guide-administration/administration-avancee/connexion-a-la-base-de-donnees.md) et y exécuter la commande suivante :
```js
db.default_pbehavior.update({comments: null}, {$set: {comments:[]}}, {multi: true})
```

Il n'y a aucune action supplémentaire à réaliser pour mettre Canopsis à jour d'une version 3.12 à une version 3.13.

## Changements entre Canopsis 3.12.0 et 3.13.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Amélioration de la documentation des watchers Go
    *  Amélioration de la documentation des webhooks
    *  Correction des exemples de commandes `curl` donnés dans la documentation heartbeat
    *  Modification de la [procédure d'installation CentOS 7](../guide-administration/installation/installation-paquets.md#sur-centos-7) afin d'ajouter un prérequis Python dorénavant nécessaire
*  **Images Docker / paquets :**
    *  Modification de l'unité systemd du webserver Canopsis afin d'assurer sa compatibilité avec CentOS 7, qui ne fonctionnait plus depuis Canopsis 3.11.0.
*  **Moteurs :**
    *  **Moteurs ancienne génération (Python) :**
        *  Ajout d'un compteur des périodes de bagot dans les alarmes
        *  action : Ajout d'un champ `hook` dans le CRUD du moteur
        *  healthcheck : Ajout d'un fichier de configuration pour l'API `healthcheck`
        *  pbehavior : Correction de la recréation inutile de certains pbehaviors, ce qui pouvait causer des problèmes de performance
        *  watcherng : Correction de la gestion d'erreur des types manquants dans la route `watcherng`
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout d'un compteur des périodes de bagot dans les alarmes
        *  Ajout de filtres `event-filter` sur les alarmes
        *  axe : Ajout de la possibilité d'utiliser un proxy HTTP ou HTTPS
        *  webhooks : Ajout de templates pour le snooze automatique
        *  Correction d'une erreur de certificat manquant
        *  axe : Correction de l'état des bagots
        *  webhooks : Correction de la gestion des tickets imbriqués
*  **UI :**
    *  Ajout de l'ID des onglets dans leur URL
    *  Correction de l'affichage des vues lors d'un double clic
    *  **Bac à alarmes :**
        *  Ajout de la possibilité d'insérer une colonne `links` (construite à partir d'un `linkbuilder`)
    *  **Contexte :**
        *  Ajout d'une pop-up « succès / erreur » lors d'une création de pbehaviors en masse
    *  **Droits :**
        *  Ajout de droits sur les actions « Créer un widget » et « Créer un onglet »
        *  Améliorations de style sur la page de configuration des droits
    *  **Météo des services :**
        *  Ajout d'un rendu pour `links`
    *  **Outils d'exploitation :**
        *  Ajout d'une option de `type` sur les formulaires d'exploitation
        *  Ajout d'un champ `id` optionnel sur le CRUD webhook
        *  Ajout des champs `id` et `description` sur le CRUD event-filter
        *  Améliorations de style sur le CRUD pbehavior
    *  **Statistiques :**
        *  Refactorisation des widgets de statistiques
        *  Ajout d'un widget de texte personnalisable
