# Notes de version Canopsis 3.33.0

Canopsis 3.33.0 a été publié le 22 novembre 2019.

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

Puis, en installation par paquets, si vous utilisez un environnement Go Pro, exécutez les commandes suivantes :

```sh
grep -q ^canopsis.webcore.services.dynamic_infos /opt/canopsis/etc/webserver.conf || echo "canopsis.webcore.services.dynamic_infos=1" >> /opt/canopsis/etc/webserver.conf
canoctl restart
```

En installation Docker, si vous maintenez votre propre volume `webserver.conf`, vous devez aussi y ajouter une ligne `canopsis.webcore.services.dynamic_infos=1`.

## Changements entre Canopsis 3.32.0 et 3.33.0

Voir le [ChangeLog complet](https://git.canopsis.net/canopsis/canopsis/blob/develop/CHANGELOG.md) pour plus de détails techniques.

*  **Documentation :**
    *  Ajout de `resolve` et `unsnooze` dans la [liste des triggers incompatibles - lien obsolète]() avec `event_patterns` ([#1623](https://git.canopsis.net/canopsis/canopsis/issues/1623))
*  **Moteurs :**
    *  **Moteurs nouvelle génération (Go) :**
        *  Ajout d'une prise en charge des reconnexions à RabbitMQ dans les moteurs ; le moteur s'arrête maintenant à chaque interruption de la connexion, et `systemd` ou Docker s'occupent de relancer le moteur dans ce cas ([#146](https://git.canopsis.net/canopsis/go-engines/issues/146))
        *  Correction de l'utilisation du cache dans le service de gestion des alarmes ([#127](https://git.canopsis.net/canopsis/go-engines/issues/127))
        *  Correction des traces générées lors du lancement des moteurs Go avec l'option `CPS_DEBUG_TRACE=trace.out` dans un environnement comportant de gros évènements ; ces traces sont à nouveau exploitables avec l'outil `go tool trace` ([#141](https://git.canopsis.net/canopsis/go-engines/issues/141))
*  **UI :**
    *  Ajout de *helpers* pour les comparaisons de chaînes de caractères et d'entiers ([#2014](https://git.canopsis.net/canopsis/canopsis/issues/2014))
    *  Améliorations diverses de l'interface du conteneur de widgets ([#1966](https://git.canopsis.net/canopsis/canopsis/issues/1966))
    *  **Bac à alarmes :**
        *  Correction de la prise en compte du champ « ack\_resources » lors de la pose d'un acquittement ([#2043](https://git.canopsis.net/canopsis/canopsis/issues/2043))
    *  **Explorateur de contexte :**
        *  Correction de la recherche dans les *impact*/*depends* dans la modale de création d'entité ([#2028](https://git.canopsis.net/canopsis/canopsis/issues/2028))
    *  **CRUD pbehavior :**
        *  Refactorisation du formulaire de création de *pbehavior* ([#1953](https://git.canopsis.net/canopsis/canopsis/issues/1953))
        *  Correction du formulaire de création d'un *pbehavior*, afin que le choix d'un filtre soit à nouveau obligatoire ([#2042](https://git.canopsis.net/canopsis/canopsis/issues/2042))
