# Notes de version Canopsis 3.47.0

Canopsis 3.47.0 a été publié le 30 octobre 2020.

## Procédure d'installation

Suivre la [procédure d'installation de Canopsis](../guide-administration/installation/index.md).

## Procédure de mise à jour

Suivre la [procédure standard de mise à jour de Canopsis](../guide-administration/mise-a-jour/index.md).

## Changements entre Canopsis 3.46.0 et 3.47.0

### Liste des modifications

*  **Images Docker / paquets :**
    *  Mise à jour de Go 1.12 vers Go 1.13 pour la compilation des moteurs ([#2698](https://git.canopsis.net/canopsis/canopsis/-/issues/2698))
    *  Paquets : L'outil `canopsinit` vérifie maintenant explicitement qu'il a bien été lancé avec l'utilisateur `canopsis` ([#1050](https://git.canopsis.net/canopsis/canopsis/-/issues/1050))
    *  Docker : Ajout d'une dépendance manquante au démarrage de l'image du moteur KPI ([#2687](https://git.canopsis.net/canopsis/canopsis/-/issues/2687))

*  **Documentation :**
    *  Ajout d'informations concernant le fonctionnement de la nouvelle option `--publish` du moteur [SNMPtrap_custom](https://doc.canopsis.net/interconnexions/Supervision/SNMPtrap_custom/) ([#2682](https://git.canopsis.net/canopsis/canopsis/-/issues/2682))
    *  Documentation de l'option `STOP_AT_FIRST_MATCH` qui permet au moteur [SNMPtrap_custom](https://doc.canopsis.net/interconnexions/Supervision/SNMPtrap_custom/) de d'arrêter son traitement à la première correspondance rencontrée ([#2692](https://git.canopsis.net/canopsis/canopsis/-/issues/2692))

*  **UI :**
    *  **Général**
        * Correction d'un bug qui empêchait de dupliquer un onglet au sein d'une vue ([#2685](https://git.canopsis.net/canopsis/canopsis/-/issues/2685))
    *  **Bac à alarmes**
        *  Lors de la création d'une méta alarme manuelle, il n'est plus possible d'inclure une méta alarme présente dans le bac. Seules des alarmes individuelles peuvent être groupées de cette façon ([#2732](https://git.canopsis.net/canopsis/canopsis/-/issues/2732))
        * Le [helper](https://doc.canopsis.net/guide-utilisation/interface/helpers/) de type `request` envoyait un en-tête d'autorisation vide quand le nom d'utilisateur et le mot de passe n'étaient pas renseignés dans la requête ([#2731](https://git.canopsis.net/canopsis/canopsis/-/issues/2731))
        * Correction d'un bug du [helper](https://doc.canopsis.net/guide-utilisation/interface/helpers/) `request` qui provoquait de multiples requêtes API lors du rafraîchissement du bac à alarme ([#2715](https://git.canopsis.net/canopsis/canopsis/-/issues/2715))
    *  **Widget Météo**
        *  A la création d'un widget météo, les tuiles de celui-ci possèdent désormais une configuration par défaut qui les rend utilisables immédiatement ([#2309](https://git.canopsis.net/canopsis/canopsis/-/issues/2309))
    *  **Gestion des heartbeats**
        *  Il est maintenant possible de mettre à jour, supprimer, rechercher des `heartbeats` dans l'interface de gestion ([#2550](https://git.canopsis.net/canopsis/canopsis/-/issues/2550))
    *  **Gestion des droits**
        *  Il n'est plus possible pour un utilisateur n'ayant pas les droits appropriés de modifier un widget ([#2723](https://git.canopsis.net/canopsis/canopsis/-/issues/2723))
        *  Certaines fonctionnalités de l'édition Pro apparaissaient dans le menu d'exploitation de l'édition Community ([#2672](https://git.canopsis.net/canopsis/canopsis/-/issues/2672))
    *  **Gestion des utilisateurs**
        *  Correction d'un bug qui provoquait la création d'un nouvel utilisateur lors de la modification du nom au lieu de modifier l'utilisateur existant ([#1506](https://git.canopsis.net/canopsis/canopsis/-/issues/1506))
        * Correction d'une erreur fatale lors de la connexion, quand le nom ou le prénom d'un compte utilisateur contenait des caractères non-ASCII ([#2680](https://git.canopsis.net/canopsis/canopsis/-/issues/2680))
        * Correction d'un bug lors de certaines modifications de droits pour le rôle admin ([#2677](https://git.canopsis.net/canopsis/canopsis/-/issues/2677))
    *  **Grille d'édition**
        *  Le mode d'édition de la grille (PC, tablette, smartphone) correspond maintenant au mode d'affichage de l'interface ([#2501](https://git.canopsis.net/canopsis/canopsis/-/issues/2501))

*  **API :**
    * Correction d'une régression dans l'API `watchers` qui empêchait de récupérer une liste de watchers filtrés par type ([#2706](https://git.canopsis.net/canopsis/canopsis/-/issues/2706))

*  **Moteurs :**
    *  **heartbeat (Go)**
        *  Les alarmes créées par le moteur avaient un `output` vide alors que celui-ci était renseigné dans la règle ([#2725](https://git.canopsis.net/canopsis/canopsis/-/issues/2725))
        *  Ajout d'un mécanisme permettant au moteur de détecter une perte de connexion avec MongoDB et de s'arrêter automatiquement ([#29](https://git.canopsis.net/canopsis/go-engines/-/issues/29))
    *  **event-filter (Go)**
        *  Correction d'un bug qui pouvait provoquer une consommation de mémoire excessive ([#318](https://git.canopsis.net/canopsis/go-engines/-/issues/318))
        *  Ajout d'informations dans les logs du moteur en cas d'erreur ([#2632](https://git.canopsis.net/canopsis/canopsis/-/issues/2632))
        *  Correction d'un bug dans le comportement de l'opérateur `has_not` ([#2693](https://git.canopsis.net/canopsis/canopsis/-/issues/2693))
    *  **watchers (Go)**
        *  Lors du calcul de l'état des watchers le moteur ne prend plus en compte ceux qui sont désactivés ([#2714](https://git.canopsis.net/canopsis/canopsis/-/issues/2714))
    * **correlation (Go)**
        *  Lorsqu'une action a été appliquée à une méta alarme et ses conséquences, si une nouvelle alarme est liée à la méta, l'action lui est appliquée également ([#2646](https://git.canopsis.net/canopsis/canopsis/-/issues/2646))
        *  Les règles de groupement de type [groupe de valeur](https://doc.canopsis.net/guide-administration/moteurs/moteur-correlation/#groupement-groupe-de-valeurs) vérifient maintenant que le `chemin de valeur` existe bien et qu'il n'est pas vide ([#2656](https://git.canopsis.net/canopsis/canopsis/-/issues/2656))
        *  Ajout d'un attribut `output_template` qui permet de formater l'`output` des méta alarmes et d'y intégrer différentes variables ([#2671](https://git.canopsis.net/canopsis/canopsis/-/issues/2671))
        *  Correction d'un bug qui pouvait provoquer des `panic` du moteur ([#317](https://git.canopsis.net/canopsis/go-engines/-/issues/317))
    * **KPI (Python, Pro)**
        *  Ajout d'une gestion d'erreur dans le code du moteur ([#2716](https://git.canopsis.net/canopsis/canopsis/-/issues/2716))
    *  **SNMPtrap_custom (Python)**
        *  Le moteur possède maintenant une option `--publish` ([#51](https://git.canopsis.net/cat/canopsis-cat/-/issues/51))
        *  Les classes de `traps custom` sont maintenant chargées dans l'ordre alphabétique. De plus, une nouvelle option est disponible et permet de stopper l'évaluation des traps customs quand une correspondance est trouvée ([#2718](https://git.canopsis.net/canopsis/canopsis/-/issues/2718))
