import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationDeclareTicketRulesMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyDeclareTicketRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.declareTicketRule);
    },

    hasReadAnyDeclareTicketRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.declareTicketRule);
    },

    hasUpdateAnyDeclareTicketRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.declareTicketRule);
    },

    hasDeleteAnyDeclareTicketRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.declareTicketRule);
    },
  },
};
