import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationDynamicInformationMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyDynamicInformationAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.dynamicInfo);
    },

    hasReadAnyDynamicInformationAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.dynamicInfo);
    },

    hasUpdateAnyDynamicInformationAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.dynamicInfo);
    },

    hasDeleteAnyDynamicInformationAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.dynamicInfo);
    },
  },
};
