import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationEventFilterMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyEventFilterAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.eventFilter);
    },

    hasReadAnyEventFilterAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.eventFilter);
    },

    hasUpdateAnyEventFilterAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.eventFilter);
    },

    hasDeleteAnyEventFilterAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.eventFilter);
    },
  },
};
