import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationFlappingRulesMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyFlappingRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.flappingRules);
    },

    hasReadAnyFlappingRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.flappingRules);
    },

    hasUpdateAnyFlappingRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.flappingRules);
    },

    hasDeleteAnyFlappingRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.flappingRules);
    },
  },
};
