import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationIdleRulesMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyIdleRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.idleRules);
    },

    hasReadAnyIdleRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.idleRules);
    },

    hasUpdateAnyIdleRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.idleRules);
    },

    hasDeleteAnyIdleRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.idleRules);
    },
  },
};
