import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationLinkRuleMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyLinkRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.linkRule);
    },

    hasReadAnyLinkRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.linkRule);
    },

    hasUpdateAnyLinkRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.linkRule);
    },

    hasDeleteAnyLinkRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.linkRule);
    },
  },
};
