import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationMetaAlarmRuleMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyMetaAlarmRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.metaAlarmRule);
    },

    hasReadAnyMetaAlarmRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.metaAlarmRule);
    },

    hasUpdateAnyMetaAlarmRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.metaAlarmRule);
    },

    hasDeleteAnyMetaAlarmRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.metaAlarmRule);
    },
  },
};
