import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationResolveRulesMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyResolveRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.resolveRules);
    },

    hasReadAnyResolveRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.resolveRules);
    },

    hasUpdateAnyResolveRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.resolveRules);
    },

    hasDeleteAnyResolveRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.resolveRules);
    },
  },
};
