import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationScenarioMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnyScenarioAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.scenario);
    },

    hasReadAnyScenarioAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.scenario);
    },

    hasUpdateAnyScenarioAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.scenario);
    },

    hasDeleteAnyScenarioAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.scenario);
    },
  },
};
