import { USER_PERMISSIONS } from '@/constants';

import { authMixin } from '@/mixins/auth';

export const permissionsTechnicalExploitationSnmpRuleMixin = {
  mixins: [authMixin],
  computed: {
    hasCreateAnySnmpRuleAccess() {
      return this.checkCreateAccess(USER_PERMISSIONS.technical.exploitation.snmpRule);
    },

    hasReadAnySnmpRuleAccess() {
      return this.checkReadAccess(USER_PERMISSIONS.technical.exploitation.snmpRule);
    },

    hasUpdateAnySnmpRuleAccess() {
      return this.checkUpdateAccess(USER_PERMISSIONS.technical.exploitation.snmpRule);
    },

    hasDeleteAnySnmpRuleAccess() {
      return this.checkDeleteAccess(USER_PERMISSIONS.technical.exploitation.snmpRule);
    },
  },
};
